#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x5231215a, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x0a44a5cd, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x3c9feeb3, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x7400ad86, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x9a4cdf91, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xe9dd40ee, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x4fc3373e, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xf311b688, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x98954df4, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x93a9a823, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xdedd05b5, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x6bcaf50f, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x2af16994, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x24a68d1b, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x4626d43b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xda2a231b, "kthread_queue_work" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f927212, "_dev_err" },
	{ 0x99ba5f03, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x344678be, "kthread_create_worker" },
	{ 0x54158faf, "_dev_info" },
	{ 0xef7f38b, "sched_set_fifo" },
	{ 0xf9a482f9, "msleep" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0x5ce04082, "kthread_destroy_worker" },
	{ 0x60006b6a, "crypto_enqueue_request" },
	{ 0xce4495a3, "crypto_dequeue_request" },
	{ 0xeda3a9e4, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1B26E4A6A17DA4EF3D4A6E1");

MODULE_INFO(suserelease, "SLE15-SP6");
