#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ishtp_device_init, 0x4763ee0a, "");
SYMBOL_CRC(ishtp_start, 0xcfe98ec3, "");
SYMBOL_CRC(ishtp_send_suspend, 0x5da25969, "");
SYMBOL_CRC(ishtp_send_resume, 0x383f73f3, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0xe68353b6, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x18b9fe7d, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x32ab0388, "");
SYMBOL_CRC(ishtp_cl_allocate, 0xe986c099, "");
SYMBOL_CRC(ishtp_cl_free, 0xf3738a50, "");
SYMBOL_CRC(ishtp_cl_link, 0x2fcabced, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x7c362352, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x797d983d, "");
SYMBOL_CRC(ishtp_cl_connect, 0xac78385d, "");
SYMBOL_CRC(ishtp_cl_send, 0xd6ef6e1a, "");
SYMBOL_CRC(ishtp_get_client_data, 0x75991f3a, "");
SYMBOL_CRC(ishtp_set_client_data, 0x78c6d789, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x6a6bcb75, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x9f957be6, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x40a841a2, "");
SYMBOL_CRC(ishtp_set_connection_state, 0x6af68394, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0xf659200d, "");
SYMBOL_CRC(ishtp_recv, 0xbaf8c320, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0x0d3ccc0a, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x165a40d1, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x8e28023c, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x54eb57d8, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x43760c46, "");
SYMBOL_CRC(ishtp_get_device, 0x7b424e67, "");
SYMBOL_CRC(ishtp_put_device, 0x5614ee01, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x33333375, "");
SYMBOL_CRC(ishtp_get_drvdata, 0x4f49c93b, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0xb8a0fcb9, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0xbe7e60ec, "");
SYMBOL_CRC(ishtp_reset_handler, 0x558f407d, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0x9395a58e, "");
SYMBOL_CRC(ishtp_device, 0x145481b3, "");
SYMBOL_CRC(ishtp_wait_resume, 0xfce4e980, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0x723c2232, "");
SYMBOL_CRC(ishtp_trace_callback, 0xa3bddf7b, "");
SYMBOL_CRC(ish_hw_reset, 0x26c9d1b3, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x18733ba3, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0x677ad482, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x70b32620, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1fbcfe4a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf9de4271, "device_unregister" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x2d48c138, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6ae19705, "put_device" },
	{ 0x54158faf, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc1aadd36, "bus_unregister" },
	{ 0x3f927212, "_dev_err" },
	{ 0xe9e8f59e, "dma_alloc_attrs" },
	{ 0x393e22fb, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xeeceac24, "device_register" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xeeda7a8e, "dma_free_attrs" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0xb89257aa, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc6d99b9c, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0x69730a39, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A8A484047E007EB5458566");

MODULE_INFO(suserelease, "SLE15-SP6");
