#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ocelot_mact_learn, 0x372a7f84, "");
SYMBOL_CRC(ocelot_mact_forget, 0xa69ea825, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x42e9be6d, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0x85a4d2e1, "");
SYMBOL_CRC(ocelot_pll5_init, 0xb92c76a5, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0x6fabf015, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x8996b121, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x6de33ec0, "");
SYMBOL_CRC(ocelot_vlan_add, 0x9d9838f1, "");
SYMBOL_CRC(ocelot_vlan_del, 0x02c333f3, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0xa7ff35d3, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0xfba160f0, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0x8a52290e, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0xa84c59a2, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0x77c89b2a, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x1e564135, "");
SYMBOL_CRC(ocelot_can_inject, 0xddbc87fb, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0xe200a633, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0x2ebe2040, "");
SYMBOL_CRC(ocelot_fdb_add, 0x07d0e7af, "");
SYMBOL_CRC(ocelot_fdb_del, 0x101a6dc4, "");
SYMBOL_CRC(ocelot_mact_flush, 0x9b5061b4, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0xcb758d03, "");
SYMBOL_CRC(ocelot_bond_get_id, 0xfb97b42a, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0xb4cd1641, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0xb5f738b3, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0x0393ce42, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0xf6927059, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x7707c560, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0xc16db3f5, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0xa6ab34b8, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x84aef739, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0xbaf2446e, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x2991c887, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x0b2f35c3, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x4946742d, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x6e3fb15f, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0xbbf846c5, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x65dff64f, "");
SYMBOL_CRC(ocelot_port_lag_change, 0xbb3a93f6, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0x50a881d7, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0xc333c84a, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0xfa2044ed, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x7c970be6, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x3e57cf6e, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0xbd6b2b97, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0x52e36596, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0xb126e404, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0x06ffc2c8, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x3bcfba66, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x83877f05, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x3e07ce17, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x95cce101, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0xea9dbbfc, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x12bd9620, "");
SYMBOL_CRC(ocelot_reset, 0x18d168d8, "");
SYMBOL_CRC(ocelot_init, 0x98aff2f1, "");
SYMBOL_CRC(ocelot_deinit, 0x57550e72, "");
SYMBOL_CRC(ocelot_deinit_port, 0xb4eac463, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0xcf9e8186, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0x23ff4c77, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0xb27db6d2, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x4d82ca9e, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x87b2acd9, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x96fe21a9, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x978a4fd2, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0xcddee831, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x475afce8, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x04ed5978, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x62ef94b7, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x514927f0, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x07a4c289, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x8f389fcc, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0xde7f478c, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x689002e4, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x1017fbf8, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0xa2fd62b5, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0x51e8e4d0, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x1bcad31f, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0xbaad19d2, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0x857b4ec8, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0x9d811edd, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0xdc8d7325, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x0a54419c, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x9e5e41a6, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x8e522b3a, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x862c035c, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x9da8f91a, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x43d2d2ab, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x4f9cecf6, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x10a81cfc, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0xb6d2ce95, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0xfeaa6a33, "");
SYMBOL_CRC(ocelot_ptp_verify, 0x97e3140c, "");
SYMBOL_CRC(ocelot_ptp_enable, 0xd7bc6ab4, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0xd59f5dc9, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0xad71c357, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x5e6c08d6, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x1712e988, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0xf5e3b575, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x1a16312c, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0xa03b7445, "");
SYMBOL_CRC(ocelot_get_strings, 0x94f7eb43, "");
SYMBOL_CRC(ocelot_get_sset_count, 0xea608c53, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0xc3f68180, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0xf20c6659, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0x940f2f9b, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x2ea81e5c, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x718a6fbb, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x9b19576b, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x84a2272d, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x41810181, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x247e301e, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x82c8cf77, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x53ed87b5, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x9cb35a10, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0xc228b75c, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0xb5846751, "");
SYMBOL_CRC(ocelot_mrp_del, 0x70e5b49c, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x972a6ec9, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x03823da4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x750eff74, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x41717bd1, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x99ba5f03, "devm_kmalloc" },
	{ 0xa3d1288b, "skb_put" },
	{ 0x1fc16d82, "skb_tstamp_tx" },
	{ 0x531fdcba, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb0aefbbe, "skb_clone_sk" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x737ae9f0, "regmap_fields_update_bits_base" },
	{ 0x49d6855a, "flow_rule_match_eth_addrs" },
	{ 0x64a71556, "ptp_clock_index" },
	{ 0x7fa49457, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x91601c3b, "flow_rule_match_ipv4_addrs" },
	{ 0x6ba4ca3, "regmap_field_update_bits_base" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x2d48c138, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xe5316a2, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa6f79c7e, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0xe7eec42e, "skb_queue_purge_reason" },
	{ 0xb0d6f2ab, "ptp_find_pin" },
	{ 0x167ab8cf, "eth_type_trans" },
	{ 0x68d4752c, "ethtool_aggregate_pause_stats" },
	{ 0x5e2a8814, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa63992d9, "regmap_fields_read" },
	{ 0xbead8b5f, "skb_queue_tail" },
	{ 0xbe044860, "regmap_field_read" },
	{ 0x93695d07, "devm_regmap_field_alloc" },
	{ 0x6e93133d, "ptp_classify_raw" },
	{ 0x1f4282dd, "flow_rule_match_basic" },
	{ 0x4b4a3927, "__dev_get_by_index" },
	{ 0x4fe1b224, "devm_kfree" },
	{ 0x3f927212, "_dev_err" },
	{ 0x250cc310, "ptp_clock_register" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe4fce1c8, "netif_set_real_num_tx_queues" },
	{ 0xd499cfdc, "kfree_skb_reason" },
	{ 0xc623f048, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x217229b2, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0xf39b1369, "flow_rule_match_ports" },
	{ 0xbbde5f36, "__devm_regmap_init_mmio_clk" },
	{ 0x467bc913, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x56408cca, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2073657, "ptp_clock_unregister" },
	{ 0xa8b912bb, "__netdev_alloc_skb" },
	{ 0x1faa92e4, "of_phy_get" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x486d1a0b, "phy_set_mode_ext" },
	{ 0x1d195062, "netdev_reset_tc" },
	{ 0xacf4bf8d, "regmap_read" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x729b873e, "devm_ioremap_resource" },
	{ 0x977201b0, "ethtool_aggregate_rmon_stats" },
	{ 0x117f66ac, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2b4f420, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x744bf910, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6b0e1d38, "netdev_set_num_tc" },
	{ 0x29e0e081, "regmap_update_bits_base" },
	{ 0x2496f713, "dev_err_probe" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0x6b63d00e, "dev_kfree_skb_any_reason" },
	{ 0x485cfe5c, "devlink_sb_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xae3b01c9, "flow_rule_match_control" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "bridge,libphy,regmap-mmio");


MODULE_INFO(srcversion, "204625A76B0F7E0467C7CC4");

MODULE_INFO(suserelease, "SLE15-SP6");
