#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(phy_print_status, 0x275e4e00, "");
SYMBOL_CRC(phy_get_rate_matching, 0xef39e555, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x22c99d92, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0xd857d716, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0xd8587553, "");
SYMBOL_CRC(phy_mii_ioctl, 0x00606163, "");
SYMBOL_CRC(phy_do_ioctl, 0x6e6e61f5, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x72ce2414, "");
SYMBOL_CRC(phy_queue_state_machine, 0x2b78b110, "");
SYMBOL_CRC(phy_trigger_machine, 0x8674e960, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x1642b764, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0xdcb39759, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0x6cf2d148, "");
SYMBOL_CRC(phy_start_cable_test, 0xb6317f62, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0x4313edef, "");
SYMBOL_CRC(phy_config_aneg, 0x6f34c3e5, "");
SYMBOL_CRC(phy_start_aneg, 0x4325a296, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x972d95c4, "");
SYMBOL_CRC(phy_speed_down, 0x0ce4832f, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x972d6756, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x4c9f8c7b, "_gpl");
SYMBOL_CRC(phy_error, 0x3b62613f, "");
SYMBOL_CRC(phy_request_interrupt, 0x2b475083, "");
SYMBOL_CRC(phy_free_interrupt, 0xc2e2b99e, "");
SYMBOL_CRC(phy_stop, 0x43c30025, "");
SYMBOL_CRC(phy_start, 0x04af9673, "");
SYMBOL_CRC(phy_mac_interrupt, 0x6affc5fc, "");
SYMBOL_CRC(phy_init_eee, 0x4254cf13, "");
SYMBOL_CRC(phy_get_eee_err, 0x52460d12, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x6506ac6a, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x5efbc182, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0xf8022a4f, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0x7c57de53, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x0bbe6119, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0xaaaef40d, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x12662832, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0xf5a2868d, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x352237dc, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x02d3bafe, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0x9d659d15, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x4abd971c, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0xff63bfac, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0xe7283669, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0x79f08195, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x90512928, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0xf2ef3930, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0xd7ee0c54, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0xee2e33d6, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x77f36c76, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x979f57fe, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x1b41f00f, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0x9d09805c, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x384c07ea, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0xebeca0d0, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0x824a7b51, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x28b7e12d, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x94e8843d, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0xd345f346, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x3cb8c844, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0xfdfefec0, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0xd70fd768, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x67163f5a, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x3538935d, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x43503f05, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x0d3fb7d4, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0x4b16858b, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x76eb203d, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0xbe8dbd84, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0x752f7bcb, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0xeb73ed06, "");
SYMBOL_CRC(phy_read_mmd, 0x08d8e46f, "");
SYMBOL_CRC(__phy_write_mmd, 0xd2d6d21b, "");
SYMBOL_CRC(phy_write_mmd, 0x28cacab4, "");
SYMBOL_CRC(phy_modify_changed, 0x5837c032, "_gpl");
SYMBOL_CRC(__phy_modify, 0x490a33ad, "_gpl");
SYMBOL_CRC(phy_modify, 0x7405664b, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0x7cc475f3, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0x3be24345, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0xe2f18818, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0xf05c2729, "_gpl");
SYMBOL_CRC(phy_save_page, 0x1bd9a89e, "_gpl");
SYMBOL_CRC(phy_select_page, 0x4355cb7a, "_gpl");
SYMBOL_CRC(phy_restore_page, 0xd46da23f, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x890feb48, "");
SYMBOL_CRC(phy_write_paged, 0xb3e365c3, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x0eb0339f, "");
SYMBOL_CRC(phy_modify_paged, 0x2d6907f6, "");
SYMBOL_CRC(phy_basic_features, 0x23c3b778, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xda10e1e2, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x03473884, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x8696808c, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x9b16e4ee, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xd9e61980, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x3542e347, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x3be200ce, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x24235223, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x30110a29, "_gpl");
SYMBOL_CRC(phy_device_free, 0xd36be87f, "");
SYMBOL_CRC(phy_register_fixup, 0x9b90700e, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0x40221760, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x8422c82f, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x7f5fd56e, "");
SYMBOL_CRC(fwnode_get_phy_id, 0x41ef31ac, "");
SYMBOL_CRC(get_phy_device, 0x2c75caa5, "");
SYMBOL_CRC(phy_device_register, 0x3150c7b5, "");
SYMBOL_CRC(phy_device_remove, 0x69b2ee35, "");
SYMBOL_CRC(phy_get_c45_ids, 0x772a218c, "");
SYMBOL_CRC(phy_find_first, 0xf91c0d91, "");
SYMBOL_CRC(phy_connect_direct, 0x4647f1fe, "");
SYMBOL_CRC(phy_connect, 0x99a598a7, "");
SYMBOL_CRC(phy_disconnect, 0x955dcda9, "");
SYMBOL_CRC(phy_init_hw, 0x381403ca, "");
SYMBOL_CRC(phy_attached_info, 0x23c22698, "");
SYMBOL_CRC(phy_attached_info_irq, 0x5f8ac0eb, "");
SYMBOL_CRC(phy_attached_print, 0xee6c3454, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0xb7e394e5, "");
SYMBOL_CRC(phy_attach_direct, 0x1e114900, "");
SYMBOL_CRC(phy_attach, 0x75391e98, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x90c46d91, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0xec81c545, "_gpl");
SYMBOL_CRC(phy_package_join, 0x6b59bc4f, "_gpl");
SYMBOL_CRC(phy_package_leave, 0xb125bb09, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x0209af39, "_gpl");
SYMBOL_CRC(phy_detach, 0x8be10f9b, "");
SYMBOL_CRC(phy_suspend, 0x2f3daef6, "");
SYMBOL_CRC(__phy_resume, 0xac0a125d, "");
SYMBOL_CRC(phy_resume, 0x3d625ee3, "");
SYMBOL_CRC(phy_loopback, 0x0315bed3, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0x12e370ef, "");
SYMBOL_CRC(genphy_config_eee_advert, 0x36922bf1, "");
SYMBOL_CRC(genphy_setup_forced, 0xbfeb911d, "");
SYMBOL_CRC(genphy_read_master_slave, 0x0492bd66, "");
SYMBOL_CRC(genphy_restart_aneg, 0x4f355cee, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0x8a1a10af, "");
SYMBOL_CRC(__genphy_config_aneg, 0xa090d1cb, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0x92ab22c4, "");
SYMBOL_CRC(genphy_aneg_done, 0x2a0892a6, "");
SYMBOL_CRC(genphy_update_link, 0xe8528734, "");
SYMBOL_CRC(genphy_read_lpa, 0xded8a054, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x68759a23, "");
SYMBOL_CRC(genphy_read_status, 0x869e40a7, "");
SYMBOL_CRC(genphy_c37_read_status, 0x3a9f24eb, "");
SYMBOL_CRC(genphy_soft_reset, 0x846a7d36, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0x15405744, "");
SYMBOL_CRC(genphy_read_abilities, 0x05ce5296, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0x804b9a34, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x5e81cc6c, "");
SYMBOL_CRC(genphy_suspend, 0x4ce769c8, "");
SYMBOL_CRC(genphy_resume, 0xe1c9b9fe, "");
SYMBOL_CRC(genphy_loopback, 0xf7df6c4d, "");
SYMBOL_CRC(phy_remove_link_mode, 0x7b346ce8, "");
SYMBOL_CRC(phy_advertise_supported, 0x1e514b19, "");
SYMBOL_CRC(phy_support_sym_pause, 0x057725db, "");
SYMBOL_CRC(phy_support_asym_pause, 0xe0101ae8, "");
SYMBOL_CRC(phy_set_sym_pause, 0xe9d45eaa, "");
SYMBOL_CRC(phy_set_asym_pause, 0x5ae9a37a, "");
SYMBOL_CRC(phy_validate_pause, 0x58e107c2, "");
SYMBOL_CRC(phy_get_pause, 0x4be9b289, "");
SYMBOL_CRC(phy_get_internal_delay, 0x2f3257d2, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x65291700, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x8f44824f, "");
SYMBOL_CRC(device_phy_find_device, 0x91afd073, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x95c4407c, "_gpl");
SYMBOL_CRC(phy_driver_register, 0xe850a02c, "");
SYMBOL_CRC(phy_drivers_register, 0x70f9db31, "");
SYMBOL_CRC(phy_driver_unregister, 0x19aa1a7d, "");
SYMBOL_CRC(phy_drivers_unregister, 0x40bcb77d, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x01a5fe37, "");
SYMBOL_CRC(mdiobus_unregister_device, 0xf8254c77, "");
SYMBOL_CRC(mdiobus_get_phy, 0xf3cd2aad, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0x8f2e2777, "");
SYMBOL_CRC(mdiobus_alloc_size, 0xebfd545a, "");
SYMBOL_CRC(mdio_find_bus, 0xdef31688, "");
SYMBOL_CRC(mdiobus_scan_c22, 0x6ba0e484, "");
SYMBOL_CRC(__mdiobus_register, 0xdef9327a, "");
SYMBOL_CRC(mdiobus_unregister, 0x7eaf2d48, "");
SYMBOL_CRC(mdiobus_free, 0x6297ce64, "");
SYMBOL_CRC(__mdiobus_read, 0xe73e8db6, "");
SYMBOL_CRC(__mdiobus_write, 0xdc77b56b, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0x4ae2b08d, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0xc525cda3, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x0496e808, "");
SYMBOL_CRC(mdiobus_read_nested, 0x0d0b4e9c, "");
SYMBOL_CRC(mdiobus_read, 0xabe26876, "");
SYMBOL_CRC(mdiobus_c45_read, 0x1f227bf8, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x5e780aba, "");
SYMBOL_CRC(mdiobus_write_nested, 0x2589cb11, "");
SYMBOL_CRC(mdiobus_write, 0xcb24d50c, "");
SYMBOL_CRC(mdiobus_c45_write, 0x121e20c0, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0xb7ee76d1, "");
SYMBOL_CRC(mdiobus_modify, 0x82d4cf81, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x1f3f4922, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0xd3c02a91, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0xb0cb513e, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0x55e83286, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x51034b08, "");
SYMBOL_CRC(mdio_device_create, 0xcbb9c9bd, "");
SYMBOL_CRC(mdio_device_register, 0x25880864, "");
SYMBOL_CRC(mdio_device_remove, 0xb6fec42c, "");
SYMBOL_CRC(mdio_device_reset, 0xc6e928f6, "");
SYMBOL_CRC(mdio_driver_register, 0x01a4f970, "");
SYMBOL_CRC(mdio_driver_unregister, 0x9a1c3d90, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0x77c1de80, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0xa3e517dd, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x4a4da7a6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8775e5d4, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdfc5a372, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd3ec9094, "is_acpi_device_node" },
	{ 0xf966b5f7, "gpiod_put" },
	{ 0xdec1ff50, "sysfs_create_file_ns" },
	{ 0x1fbcfe4a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe1f02771, "trace_raw_output_prep" },
	{ 0x6ef7378b, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x55f52a06, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0xecb2457d, "__trace_trigger_soft_disabled" },
	{ 0x5a645727, "gpiod_set_value_cansleep" },
	{ 0x8f0eb131, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2d22f4a6, "refcount_dec_and_mutex_lock" },
	{ 0xcd928e91, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x2ee6d7a4, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb68f284f, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4fb27d81, "devm_gpiod_get_optional" },
	{ 0xaccf94db, "get_device" },
	{ 0x2d48c138, "__dynamic_dev_dbg" },
	{ 0x4b0ab8cb, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x3e5df678, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9215caa, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb16f32b8, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6ae19705, "put_device" },
	{ 0xfb8c7f85, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x54158faf, "_dev_info" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x4ff9bb03, "module_put" },
	{ 0x58405212, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x5d0d67bb, "perf_trace_run_bpf_submit" },
	{ 0xc1aadd36, "bus_unregister" },
	{ 0x3f927212, "_dev_err" },
	{ 0xdee285cd, "bus_find_device" },
	{ 0x8a957ee3, "device_add" },
	{ 0xa8dbe42, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x5c68500b, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x4fb1ce23, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0xd3c8d435, "is_acpi_data_node" },
	{ 0x393e22fb, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x29aa0ebf, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x65c448a5, "class_unregister" },
	{ 0xc4eae65f, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xeeceac24, "device_register" },
	{ 0x8f93284d, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xbc67b505, "device_bind_driver" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc9609a53, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x79ca35b7, "netdev_alert" },
	{ 0x1242c67c, "ethnl_cable_test_alloc" },
	{ 0xb9041ea4, "fwnode_find_reference" },
	{ 0xe649a494, "fwnode_property_read_string" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4e746fd9, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x23a9b165, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5ed95cb6, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x48037b3, "netif_carrier_off" },
	{ 0x57052e97, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf7d58f29, "led_trigger_register" },
	{ 0x9d860137, "netif_carrier_on" },
	{ 0x4e4e0f0b, "gpiod_get_optional" },
	{ 0xe50046e6, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0xae721c69, "sysfs_create_link_nowarn" },
	{ 0x2496f713, "dev_err_probe" },
	{ 0x2cb1ae1b, "ethnl_cable_test_finished" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0xfb93f587, "fwnode_handle_put" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0xad7ecff5, "led_trigger_event" },
	{ 0x885a5088, "device_release_driver" },
	{ 0x655e6def, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe67ef9b, "gpiod_set_consumer_name" },
	{ 0x1cf9970e, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc6d99b9c, "driver_register" },
	{ 0x2bf220a4, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf15771a6, "__dev_fwnode" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0xd988dcb3, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x69730a39, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0xc05c4d9, "class_find_device" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E128908C4D0319A8F11B9FA");

MODULE_INFO(suserelease, "SLE15-SP6");
