#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0xf871d57f, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0xf26658bf, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xd1f8bde2, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x9389b758, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x34b30c31, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x11da1d20, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x613969bc, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x8a01aaa3, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xb67077f2, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0xef7be355, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xa9c0e8be, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x6d09a5e9, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x37678fb7, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0xcf236761, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x7e6f6d90, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x8b2e410a, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x935efc35, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x71c3b5e2, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xf48e809c, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x6089c2f1, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x36816a6e, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x32e5ccce, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xb3c43958, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xd6de3250, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x0753df6e, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x93826b0d, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x956afa3f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x710a70fa, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x4cd1cac1, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x2350f42d, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x190dbdd0, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xbe33dec2, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x527268de, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x61ba9a49, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0xf308f957, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x19dad64f, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0xba9da9a4, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x1e145c3b, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x780ea3c9, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x199974ca, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x99e7e4b4, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x7d2463f3, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xcdc7de0f, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0xff20ae22, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xfd264736, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x3661131b, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x58cfdf09, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x1fa7089e, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xa006ae68, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x1e39d017, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x2a6db73e, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x145bc777, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x4ee0dad4, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0xb2b54013, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x351a174c, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x3eeda3c9, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x836dde76, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xed9268ca, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x87a3cb5e, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xaabc5c30, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xbc877dbd, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x17f9c17c, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x1f47c710, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x62fe933f, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0xe761cb33, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0xedcd0982, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4edf6fc, "ieee80211_sta_register_airtime" },
	{ 0x86de98a1, "mt76_dma_rx_poll" },
	{ 0x367c9d5c, "mt76_tx_status_unlock" },
	{ 0x920eaf3e, "simple_attr_open" },
	{ 0x55a93288, "debugfs_attr_write" },
	{ 0x99ba5f03, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x241f856e, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd7651c3, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xeb00d6ff, "mt76_tx_status_skb_get" },
	{ 0xe1f02771, "trace_raw_output_prep" },
	{ 0xa50b9a81, "mt76_tx_status_lock" },
	{ 0x7ecd6e9a, "skb_dequeue" },
	{ 0xecb2457d, "__trace_trigger_soft_disabled" },
	{ 0x8f0eb131, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x34652b78, "mt76_csa_check" },
	{ 0x176fc976, "mt76_tx_status_skb_add" },
	{ 0x8f28246, "__tracepoint_mac_txdone" },
	{ 0x281ac86e, "mt76_tx_check_agg_ssn" },
	{ 0x2e0aec43, "ieee80211_tx_status_ext" },
	{ 0x253def0d, "mt76_stop_tx_queues" },
	{ 0xa9b964e0, "___pskb_trim" },
	{ 0x2ee6d7a4, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf1acd500, "__mt76_tx_complete_skb" },
	{ 0xb68f284f, "pcpu_hot" },
	{ 0xd849783e, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdac1c5f4, "ieee80211_restart_hw" },
	{ 0x5e3d6c61, "bpf_trace_run2" },
	{ 0xcc8a1dd7, "ieee80211_get_hdrlen_from_skb" },
	{ 0xb1467140, "kthread_park" },
	{ 0x922dce4e, "mt76_mcu_rx_event" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd5c945c, "mt76_wcid_init" },
	{ 0xee874f01, "mt76_tx_status_check" },
	{ 0xbc19d8ba, "wake_up_process" },
	{ 0x3e5df678, "trace_event_buffer_commit" },
	{ 0xa4b484a5, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6f8a5c6a, "napi_complete_done" },
	{ 0xad42f487, "ieee80211_get_tx_rates" },
	{ 0xeaa6e417, "ieee80211_send_bar" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf05ad233, "debugfs_create_devm_seqfile" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x64fc74e, "mt76_tx" },
	{ 0x6756bb27, "__napi_schedule" },
	{ 0x83fa112d, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1a380d3f, "mt76_wcid_key_setup" },
	{ 0x54158faf, "_dev_info" },
	{ 0xf305ad83, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xc4c9620, "mt76_rx" },
	{ 0x76ea81e, "kthread_unpark" },
	{ 0x188a5a90, "mt76_phy_dfs_state" },
	{ 0xa4a099c7, "wiphy_to_ieee80211_hw" },
	{ 0x9623cdb7, "mt76_init_queue" },
	{ 0xa5e7945e, "debugfs_attr_read" },
	{ 0xa79d1643, "__mt76_sta_remove" },
	{ 0x73653bcf, "mt76_tx_status_skb_done" },
	{ 0xe08ecbbc, "ieee80211_queue_delayed_work" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5d0d67bb, "perf_trace_run_bpf_submit" },
	{ 0x3f927212, "_dev_err" },
	{ 0xf705c2dd, "debugfs_create_bool" },
	{ 0x5ed34ccf, "skb_pull" },
	{ 0xe1359f13, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x774b768, "__SCK__tp_func_dev_irq" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x2f964874, "skb_push" },
	{ 0xe8c6a5e8, "napi_enable" },
	{ 0x4fb1ce23, "trace_event_reg" },
	{ 0x8566f126, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xc1a82d7a, "ieee80211_wake_queues" },
	{ 0x8c43941, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2b4a8f81, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x70291d7c, "__mt76_mcu_msg_alloc" },
	{ 0x462f7117, "mt76_set_irq_mask" },
	{ 0x10e4b6f9, "bpf_trace_run1" },
	{ 0xed9b2b47, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x537da1d6, "debugfs_create_u32" },
	{ 0x7cd080e7, "__SCK__tp_func_mac_txdone" },
	{ 0xe961b550, "mt76_seq_puts_array" },
	{ 0xf7bebfcf, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1530e681, "__tracepoint_dev_irq" },
	{ 0xd1bf3af8, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x65c3e067, "mt76_mcu_get_response" },
	{ 0x9799252c, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x4e746fd9, "trace_event_buffer_reserve" },
	{ 0x162b841b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa0c6caa3, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1f780e5b, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdc05cce4, "____mt76_poll_msec" },
	{ 0x6fd0289c, "seq_printf" },
	{ 0x29d664ee, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x117df59a, "mt76_wcid_cleanup" },
	{ 0x86fdda72, "seq_puts" },
	{ 0xa22d7555, "ieee80211_radar_detected" },
	{ 0x1493fdc2, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ed8d7ea, "mt76_queues_read" },
	{ 0xa5549480, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x7bf2f839, "napi_schedule_prep" },
	{ 0xe192964, "napi_disable" },
	{ 0x6b63d00e, "dev_kfree_skb_any_reason" },
	{ 0xd52d8c69, "__mt76_poll" },
	{ 0x1bb19727, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfd5517a1, "debugfs_create_u8" },
	{ 0x61a1f925, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x61eacf7d, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "1252270F012C17943C7CD87");

MODULE_INFO(suserelease, "SLE15-SP6");
