#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvdimm_bus_lock, 0x72541134, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x344abe52, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x2db9821e, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x248ea5be, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xb6f2f0f9, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xd4166e2b, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x3d3d37d8, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x4a3be78e, "");
SYMBOL_CRC(nd_device_notify, 0x3b7571b1, "");
SYMBOL_CRC(nvdimm_region_notify, 0x2a61aaca, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x8fd3c6db, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xdd0487ed, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xf6be0f56, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x73313287, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xca5e31bf, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x9ff4c1b3, "");
SYMBOL_CRC(nd_device_unregister, 0x3517303e, "");
SYMBOL_CRC(__nd_driver_register, 0x60fbb3bf, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xed0c592d, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x5dcd7e32, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x979068c4, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xca793bd9, "_gpl");
SYMBOL_CRC(to_ndd, 0x0e2a6d19, "");
SYMBOL_CRC(nvdimm_name, 0xe4664733, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x45c0b85a, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x58968429, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xb47193e5, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x274e9e11, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x45638959, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xd2adf9d8, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xbdcc7a24, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x1abba021, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x7169cd9f, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x88f59e9e, "_gpl");
SYMBOL_CRC(to_nd_region, 0x67382c80, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xbb8ddc0c, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xa1c8051e, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x2c3bf7f7, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x3a7c86a4, "");
SYMBOL_CRC(nd_region_release_lane, 0xe5bdaa79, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x096cedef, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0xf4ced0b2, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x7c0e5154, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xefa80288, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xaf046f08, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xeeb34692, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xaed124fc, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xb1e649d9, "");
SYMBOL_CRC(pmem_sector_size, 0x1494de18, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x6befd656, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x4df18487, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xb53423d5, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xee676779, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x1ed94611, "");
SYMBOL_CRC(devm_namespace_enable, 0x06eba9f1, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x35e1fbe6, "_gpl");
SYMBOL_CRC(badrange_init, 0xaa129336, "_gpl");
SYMBOL_CRC(badrange_add, 0x6b246c2c, "_gpl");
SYMBOL_CRC(badrange_forget, 0x9035460d, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xff23a33d, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xfc98c6a9, "");
SYMBOL_CRC(is_nd_btt, 0x17f6ca27, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xf8b7e497, "");
SYMBOL_CRC(nd_btt_version, 0xa4e14812, "");
SYMBOL_CRC(nd_btt_probe, 0x0d1e60b2, "");
SYMBOL_CRC(to_nd_pfn, 0x030254a1, "");
SYMBOL_CRC(is_nd_pfn, 0xa7b7590f, "");
SYMBOL_CRC(nd_pfn_validate, 0xc6bbf74d, "");
SYMBOL_CRC(nd_pfn_probe, 0x4470fa99, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xd55b02f1, "_gpl");
SYMBOL_CRC(to_nd_dax, 0xc96dec40, "");
SYMBOL_CRC(is_nd_dax, 0xdbe50bc6, "");
SYMBOL_CRC(nd_dax_probe, 0x1db8b43f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb154a3fa, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xa1c55999, "blk_integrity_register" },
	{ 0xdfc5a372, "try_module_get" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x99ba5f03, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x3032c1bb, "devm_memremap" },
	{ 0x1fbcfe4a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcf71b581, "badblocks_set" },
	{ 0xf9de4271, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf64ad36e, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xcd928e91, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b4ec372, "badblocks_exit" },
	{ 0xb68f284f, "pcpu_hot" },
	{ 0xadd673cc, "device_for_each_child" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0xaccf94db, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2d48c138, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xd253a036, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xde8d79a8, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd71e502f, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6ae19705, "put_device" },
	{ 0xefd5ca04, "badblocks_show" },
	{ 0xd5ac2162, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x54158faf, "_dev_info" },
	{ 0x4ff9bb03, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x21b2d700, "compat_ptr_ioctl" },
	{ 0x2514b0a0, "perf_pmu_migrate_context" },
	{ 0x4b944f85, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb11b88dd, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0xc1aadd36, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x3f927212, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0xfa6a167a, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8a957ee3, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x99892932, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x857b7328, "class_create" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x881c3add, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x6573f300, "ida_free" },
	{ 0x393e22fb, "driver_unregister" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x12b9de6c, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xaa0ac56a, "device_find_child" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x4f180dfc, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5c040d08, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xb0572920, "__devm_release_region" },
	{ 0x2e662506, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x5416ee6d, "kernfs_put" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2994fda1, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe96a2cdd, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x62d97f2f, "badblocks_check" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0xabeaacd8, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x49a630d8, "badblocks_clear" },
	{ 0x728e1b49, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbb53856b, "up_read" },
	{ 0xc6d99b9c, "driver_register" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x69730a39, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "899D0F9562B356761BD69D6");

MODULE_INFO(suserelease, "SLE15-SP6");
