#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25b45830, "km_state_notify" },
	{ 0x66676e02, "ns_capable" },
	{ 0x5bd42d38, "sk_alloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xb4e62f44, "sock_init_data" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe7eec42e, "skb_queue_purge_reason" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0x29523a05, "xfrm_policy_byid" },
	{ 0x1df86498, "xfrm_policy_destroy" },
	{ 0x6a83c5e7, "xfrm_audit_policy_delete" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9539a912, "sk_free" },
	{ 0xc2315ad, "init_net" },
	{ 0xbed8f965, "xfrm_state_alloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xc80741, "xfrm_ealg_get_byid" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xce263661, "xfrm_state_update" },
	{ 0x7061303d, "xfrm_audit_state_add" },
	{ 0x2a08b6c7, "__xfrm_state_destroy" },
	{ 0x90f370b7, "xfrm_state_add" },
	{ 0x90c98879, "xfrm_init_state" },
	{ 0x5c699441, "xfrm_aalg_get_byid" },
	{ 0x72395dc1, "xfrm_calg_get_byid" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0x484be60c, "xfrm_audit_state_delete" },
	{ 0xabe1346d, "xfrm_state_delete" },
	{ 0x15feaa0b, "xfrm_find_acq_byseq" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x73d39fa9, "xfrm_find_acq" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0x74d88516, "xfrm_alloc_spi" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0xce018780, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0x1f6d3bdd, "xfrm_policy_alloc" },
	{ 0x8c692189, "xfrm_policy_insert" },
	{ 0x740f34b4, "xfrm_audit_policy_add" },
	{ 0x33386dbf, "sock_no_bind" },
	{ 0x1bc1409a, "sock_no_connect" },
	{ 0xe860b587, "sock_no_socketpair" },
	{ 0x27151c33, "sock_no_accept" },
	{ 0xeef25d5, "sock_no_getname" },
	{ 0x62b7457c, "datagram_poll" },
	{ 0x35f4bad2, "sock_no_ioctl" },
	{ 0x5db81c46, "sock_no_listen" },
	{ 0xc83374de, "sock_no_shutdown" },
	{ 0x2f3027, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3afa2248, "__alloc_skb" },
	{ 0x567242c2, "skb_clone" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x410c70b7, "sock_rfree" },
	{ 0xbead8b5f, "skb_queue_tail" },
	{ 0xd499cfdc, "kfree_skb_reason" },
	{ 0x81f8330, "xfrm_policy_walk" },
	{ 0xbfb3a691, "xfrm_policy_walk_done" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x865837f0, "skb_recv_datagram" },
	{ 0x1a25d180, "skb_copy_datagram_iter" },
	{ 0xd4c8b9d8, "skb_free_datagram" },
	{ 0x59add50b, "__sock_recv_cmsgs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0x7532ae9e, "skb_copy" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x5fd28263, "xfrm_state_walk_done" },
	{ 0x6f5bf586, "xfrm_state_walk" },
	{ 0x8cd7a8bf, "remove_proc_entry" },
	{ 0x77a67d5a, "proc_create_net_data" },
	{ 0xd161f11f, "sock_i_ino" },
	{ 0x6e40b3d8, "sock_i_uid" },
	{ 0x32ab3f3c, "from_kuid_munged" },
	{ 0x6fd0289c, "seq_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x1e9edfb7, "seq_hlist_start_head_rcu" },
	{ 0xd3e293df, "xfrm_unregister_km" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xe3a29599, "unregister_pernet_subsys" },
	{ 0xf21ea207, "proto_unregister" },
	{ 0xa3d1288b, "skb_put" },
	{ 0xa64784e5, "_copy_from_iter" },
	{ 0xecb8572c, "iov_iter_revert" },
	{ 0x5ac7c66c, "proto_register" },
	{ 0x82374006, "register_pernet_subsys" },
	{ 0x38ad0917, "sock_register" },
	{ 0x7ea7139b, "xfrm_register_km" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc6b1fdbe, "xfrm_aalg_get_byidx" },
	{ 0xb73be794, "xfrm_ealg_get_byidx" },
	{ 0x92997ed8, "_printk" },
	{ 0xfd5aa6c, "xfrm_migrate" },
	{ 0x19355e2f, "xfrm_state_lookup" },
	{ 0x28e23139, "xfrm_probe_algs" },
	{ 0xa575945, "xfrm_count_pfkey_auth_supported" },
	{ 0x7a8ca627, "xfrm_count_pfkey_enc_supported" },
	{ 0x25696cc0, "xfrm_policy_flush" },
	{ 0x4451a5fc, "km_policy_notify" },
	{ 0x37fe1f5e, "xfrm_state_flush" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "8B888226928ABE2D622F1D8");

MODULE_INFO(suserelease, "SLE15-SP6");
