#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_timer_instance_new, 0xab796e2e, "");
SYMBOL_CRC(snd_timer_instance_free, 0x84234089, "");
SYMBOL_CRC(snd_timer_open, 0x25fa4c76, "");
SYMBOL_CRC(snd_timer_close, 0x80ce03bb, "");
SYMBOL_CRC(snd_timer_resolution, 0xe3d13fda, "");
SYMBOL_CRC(snd_timer_start, 0xd5be736d, "");
SYMBOL_CRC(snd_timer_stop, 0x3a227bae, "");
SYMBOL_CRC(snd_timer_continue, 0xa48a720b, "");
SYMBOL_CRC(snd_timer_pause, 0x5e4a54b3, "");
SYMBOL_CRC(snd_timer_interrupt, 0xa2a453f1, "");
SYMBOL_CRC(snd_timer_new, 0x07fa5332, "");
SYMBOL_CRC(snd_timer_notify, 0x0bc46426, "");
SYMBOL_CRC(snd_timer_global_new, 0x7a3d1ec3, "");
SYMBOL_CRC(snd_timer_global_free, 0x8d618b64, "");
SYMBOL_CRC(snd_timer_global_register, 0x0d982410, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfc5a372, "try_module_get" },
	{ 0x1b6bd2ff, "snd_info_register" },
	{ 0xac46c6e9, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x1fbcfe4a, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x31bdf59a, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0xb68f284f, "pcpu_hot" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfa7c80f4, "snd_fasync_helper" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xaccf94db, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6ae19705, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4ff9bb03, "module_put" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0xf23f36c9, "snd_unregister_device" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x1ce0fe5c, "snd_device_new" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6fd0289c, "seq_printf" },
	{ 0xb70789e, "__might_fault" },
	{ 0x762c752b, "snd_device_initialize" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xb5a0572, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0xb89257aa, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd2f6f02b, "snd_register_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "65D956B1B7736AA8075F991");

MODULE_INFO(suserelease, "SLE15-SP6");
