#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l56_hda_common_probe, 0x78d007d2, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x580170da, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0x3ae6253c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a87413, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xffde800, "regcache_cache_only" },
	{ 0xd3ec9094, "is_acpi_device_node" },
	{ 0x3317a2ba, "regcache_sync" },
	{ 0x41717bd1, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x382b0a4a, "firmware_request_nowarn" },
	{ 0x7abce8eb, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdc2f7d10, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdedde7da, "cs_dsp_stop" },
	{ 0xbe0a8b7a, "pm_runtime_set_autosuspend_delay" },
	{ 0x5a645727, "gpiod_set_value_cansleep" },
	{ 0xabd1d2c5, "hda_cs_dsp_control_remove" },
	{ 0x312bbf34, "component_del" },
	{ 0x4bbf5e6e, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb19e404b, "sound_debugfs_root" },
	{ 0x2cb8295b, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1f91b936, "cs_dsp_init_debugfs" },
	{ 0x2d48c138, "__dynamic_dev_dbg" },
	{ 0x80b22ba0, "snd_ctl_remove" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc30451c7, "__pm_runtime_set_status" },
	{ 0xc41e14c, "snd_ctl_new1" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd52231d0, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x2afc8849, "device_property_read_u32_array" },
	{ 0x54158faf, "_dev_info" },
	{ 0xdbd7fd0e, "cs35l56_init_cs_dsp" },
	{ 0x3f927212, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xbacf7e81, "cs_dsp_halo_init" },
	{ 0xd07e981a, "cs_dsp_power_down" },
	{ 0x30a448db, "debugfs_remove" },
	{ 0xb38b7b30, "hda_cs_dsp_add_controls" },
	{ 0x383e6ade, "cs35l56_runtime_suspend_common" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x7e7a1284, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd7ec8bf1, "cs35l56_mbox_send" },
	{ 0xafed5f03, "cs35l56_hw_init" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0x178b803f, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9aa3ea41, "cs_dsp_power_up" },
	{ 0x37d4eb09, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x4fa4eec2, "cs35l56_wait_for_firmware_boot" },
	{ 0x531741c4, "devm_kasprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x854afed8, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x4f3bde42, "cs35l56_is_fw_reload_needed" },
	{ 0xacf4bf8d, "regmap_read" },
	{ 0xab0be013, "cs_dsp_run" },
	{ 0x5f3c2789, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x33f882a7, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x800ba956, "cs35l56_runtime_resume_common" },
	{ 0x29e0e081, "regmap_update_bits_base" },
	{ 0x2496f713, "dev_err_probe" },
	{ 0xb7ff0baf, "regmap_multi_reg_write" },
	{ 0x45f0dec1, "__pm_runtime_suspend" },
	{ 0x3942da2f, "component_add" },
	{ 0xe0c2808b, "set_primary_fwnode" },
	{ 0x6e66e8c0, "__pm_runtime_use_autosuspend" },
	{ 0x4df2ebf6, "devm_gpiod_get_index_optional" },
	{ 0x4d5668e, "__pm_runtime_disable" },
	{ 0x397665f2, "debugfs_create_dir" },
	{ 0x3e9d1193, "cs35l56_firmware_shutdown" },
	{ 0x76922d74, "pm_runtime_force_suspend" },
	{ 0xb81db31e, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l56-shared,snd,cs_dsp,snd-hda-cs-dsp-ctls,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "F6F2398F7360415E2F5AE8D");

MODULE_INFO(suserelease, "SLE15-SP6");
