#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0x99ba5f03, "devm_kmalloc" },
	{ 0xda483c44, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x19f90fc0, "snd_soc_dai_set_tdm_slot" },
	{ 0x344b1fbe, "sof_rt1015_dai_link" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd6f1e109, "rt5682s_sel_asrc_clk_src" },
	{ 0xd7762a25, "snd_soc_dapm_disable_pin" },
	{ 0xdeb8a020, "hdac_hdmi_jack_init" },
	{ 0x466ef7e8, "snd_soc_card_jack_new" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x2fce98a9, "max_98357a_dai_link" },
	{ 0xcb6a00bb, "max_98360a_dai_link" },
	{ 0xe0982c3c, "snd_soc_dai_set_sysclk" },
	{ 0x2d48c138, "__dynamic_dev_dbg" },
	{ 0x9a86a5df, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa9c39c0d, "snd_soc_dapm_sync" },
	{ 0xb5fbff6a, "sof_rt1015_codec_conf" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x525de1fb, "snd_soc_component_set_jack" },
	{ 0x665b3550, "devm_kstrdup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc3182004, "rt5645_sel_asrc_clk_src" },
	{ 0x56f0e15c, "snd_soc_dapm_get_pin_switch" },
	{ 0xd930224, "max_98373_components" },
	{ 0x3f927212, "_dev_err" },
	{ 0x1b37beed, "max_98373_spk_codec_init" },
	{ 0x189f7051, "max_98390_dai_link" },
	{ 0x56d76ab5, "asoc_dummy_dlc" },
	{ 0x4847e25d, "max_98373_set_codec_conf" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0xb2354679, "hdac_hdmi_jack_port_init" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xf06dca3d, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeff16718, "snd_jack_set_key" },
	{ 0xab421c06, "__platform_driver_register" },
	{ 0x531741c4, "devm_kasprintf" },
	{ 0x802b5b91, "snd_soc_card_jack_new_pins" },
	{ 0x249d4490, "sof_rt1015p_codec_conf" },
	{ 0x9b339251, "snd_soc_dai_set_pll" },
	{ 0x1fe3eb0, "snd_soc_dapm_new_controls" },
	{ 0x769d1292, "rt5682_sel_asrc_clk_src" },
	{ 0xecbf5c81, "snd_soc_dapm_put_pin_switch" },
	{ 0xc59a78, "sof_dai_get_mclk" },
	{ 0xa5745f9b, "sof_rt1011_codec_conf" },
	{ 0x5a488834, "snd_soc_dapm_info_pin_switch" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x39c94bf2, "snd_soc_pm_ops" },
	{ 0xccf6cc02, "hda_dsp_hdmi_build_controls" },
	{ 0x683938f7, "max_98390_set_codec_conf" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0x86abedeb, "sof_rt1015p_dai_link" },
	{ 0x2fa1a11a, "sof_rt1019p_dai_link" },
	{ 0xef3a7c25, "sof_rt1011_dai_link" },
	{ 0x815588a6, "clk_enable" },
	{ 0x812e778, "devm_snd_soc_register_card" },
	{ 0xa2ad8e63, "max_98373_ops" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-intel-sof-realtek-common,snd-soc-rt5682s,snd-soc-hdac-hdmi,snd-soc-intel-sof-maxim-common,snd-soc-rt5645,snd,snd-soc-rt5682,snd-sof,snd-soc-intel-hda-dsp-common,snd-pcm");

MODULE_ALIAS("platform:sof_rt5682");
MODULE_ALIAS("platform:cml_rt1015_rt5682");
MODULE_ALIAS("platform:jsl_rt5682_rt1015");
MODULE_ALIAS("platform:jsl_rt5682_mx98360");
MODULE_ALIAS("platform:jsl_rt5682_rt1015p");
MODULE_ALIAS("platform:jsl_rt5682");
MODULE_ALIAS("platform:tgl_mx98357_rt5682");
MODULE_ALIAS("platform:tgl_rt1011_rt5682");
MODULE_ALIAS("platform:tgl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98357_rt5682");
MODULE_ALIAS("platform:adl_max98390_rt5682");
MODULE_ALIAS("platform:adl_mx98360_rt5682");
MODULE_ALIAS("platform:adl_rt5682");
MODULE_ALIAS("platform:adl_rt1019_rt5682");
MODULE_ALIAS("platform:adl_rt5682_c1_h02");
MODULE_ALIAS("platform:rpl_mx98357_rt5682");
MODULE_ALIAS("platform:rpl_mx98360_rt5682");
MODULE_ALIAS("platform:rpl_rt1019_rt5682");
MODULE_ALIAS("platform:mtl_mx98357_rt5682");
MODULE_ALIAS("platform:mtl_mx98360_rt5682");
MODULE_ALIAS("platform:mtl_rt1019_rt5682");
MODULE_ALIAS("platform:jsl_rt5650");

MODULE_INFO(srcversion, "1B08B1866B405F5317A4222");

MODULE_INFO(suserelease, "SLE15-SP6");
