#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(af_alg_register_type, 0x3ef04e45, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x363f31ff, "_gpl");
SYMBOL_CRC(af_alg_release, 0xbd53af9e, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x6d41530f, "_gpl");
SYMBOL_CRC(af_alg_accept, 0xafc2390e, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x87a2d529, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xb8756c6f, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0xe6c13d17, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xa41fab66, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0x2f67557f, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0xb5b7aa2a, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x7a73a4d6, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0xbe3da53f, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0xe5a5f93e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0xeed7fd81, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x5bd42d38, "sk_alloc" },
	{ 0xb4e62f44, "sock_init_data" },
	{ 0xd3ded86d, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xa7412b4a, "extract_iter_to_sg" },
	{ 0x4ff9bb03, "module_put" },
	{ 0xeddd417, "down_read" },
	{ 0xbb53856b, "up_read" },
	{ 0xdfc5a372, "try_module_get" },
	{ 0xa64ac6c6, "lock_sock_nested" },
	{ 0x3bc11ac3, "release_sock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xf21ea207, "proto_unregister" },
	{ 0xf5ddacca, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5ac7c66c, "proto_register" },
	{ 0x38ad0917, "sock_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9539a912, "sk_free" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xdc5945dc, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4b091c22, "__folio_put" },
	{ 0xf51c549c, "__put_devmap_managed_page_refs" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x94edf2b3, "__wake_up_sync_key" },
	{ 0xcc7d1039, "sock_wake_async" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb68f284f, "pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa64784e5, "_copy_from_iter" },
	{ 0x69acdf38, "memcpy" },
	{ 0x61c87a5e, "alloc_pages" },
	{ 0xecb8572c, "iov_iter_revert" },
	{ 0xcf089a02, "__free_pages" },
	{ 0x92997ed8, "_printk" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc582b31d, "sock_kzfree_s" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0xb11b88dd, "key_put" },
	{ 0x1bc1409a, "sock_no_connect" },
	{ 0xe860b587, "sock_no_socketpair" },
	{ 0xeef25d5, "sock_no_getname" },
	{ 0x35f4bad2, "sock_no_ioctl" },
	{ 0x5db81c46, "sock_no_listen" },
	{ 0xc83374de, "sock_no_shutdown" },
	{ 0x773575e2, "sock_no_sendmsg" },
	{ 0xedef0ce2, "sock_no_recvmsg" },
	{ 0x2f3027, "sock_no_mmap" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F8A928225DC9354E89634B");

MODULE_INFO(suserelease, "SLE15-SP6");
