#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x8b95ec00, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xdf0a0ff2, "_gpl");
SYMBOL_CRC(ahci_ops, 0x1b211d42, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xf94cece3, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0xa0b25030, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0xeb4ece44, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x5a82e6c3, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x2204501a, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x8404ff71, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x65ebf929, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xe6ce86e7, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xd372024b, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x38d775f0, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x4aac6196, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xee9bcb4a, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xdc6c5337, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x43bf0531, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xa51b3190, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xe60b77f0, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xd13ba0d0, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x56045fc2, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x151c2f93, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xdf3c5d13, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xb4cbf805, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xfe26cb3a, "ata_std_qc_defer" },
	{ 0x54fe8e52, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d48c138, "__dynamic_dev_dbg" },
	{ 0x324df8, "ata_port_classify" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb4f7939f, "sata_pmp_error_handler" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x99ba5f03, "devm_kmalloc" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0xb469da57, "dmam_alloc_attrs" },
	{ 0xde8d79a8, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4fe1b224, "devm_kfree" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x42ec2a9c, "ata_qc_complete_multiple" },
	{ 0x973e27b5, "ata_port_freeze" },
	{ 0xb0774ffd, "sata_lpm_ignore_phy_events" },
	{ 0xcde28221, "sata_async_notification" },
	{ 0x174194ac, "ata_ehi_clear_desc" },
	{ 0x4c9019bd, "ata_ehi_push_desc" },
	{ 0x4d1c2f19, "ata_port_abort" },
	{ 0x348db317, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7ed4be7b, "ata_host_start" },
	{ 0x996360ad, "devm_request_threaded_irq" },
	{ 0x1650d029, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x56097483, "ata_host_register" },
	{ 0xf7202d5c, "ata_host_activate" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd677d701, "ata_wait_after_reset" },
	{ 0x8a2594d6, "ata_dummy_port_ops" },
	{ 0xc2717e51, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xcccfb2fa, "sata_deb_timing_hotplug" },
	{ 0x4fdc945d, "sata_deb_timing_normal" },
	{ 0xdfa75385, "sata_link_hardreset" },
	{ 0xb89257aa, "param_ops_int" },
	{ 0x5c040d08, "param_ops_bool" },
	{ 0x8c4daeb4, "sata_pmp_port_ops" },
	{ 0xae73872c, "dev_attr_sw_activity" },
	{ 0x3deba7f2, "dev_attr_unload_heads" },
	{ 0x916698a9, "dev_attr_ncq_prio_supported" },
	{ 0x59a811b0, "dev_attr_ncq_prio_enable" },
	{ 0xbc38ad3b, "dev_attr_link_power_management_policy" },
	{ 0x818bd663, "dev_attr_em_message_type" },
	{ 0x5e5c1ec5, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5f3c2789, "__pm_runtime_resume" },
	{ 0xb81db31e, "__pm_runtime_idle" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa4bb4866, "ata_link_next" },
	{ 0x45f0639f, "ata_wait_register" },
	{ 0x54158faf, "_dev_info" },
	{ 0x4b3f093b, "ata_dev_set_feature" },
	{ 0xff4078a0, "sata_link_scr_lpm" },
	{ 0x704cfabb, "ata_msleep" },
	{ 0x3f927212, "_dev_err" },
	{ 0x77e0c01d, "ata_std_postreset" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "E4696F00767B0CE1D8A98D6");

MODULE_INFO(suserelease, "SLE15-SP6");
