#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x274e7cf4, "pci_save_state" },
	{ 0x99ba5f03, "devm_kmalloc" },
	{ 0x9271e8e4, "pci_wake_from_d3" },
	{ 0x3f8bb886, "pci_enable_device" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x38494726, "pci_alloc_irq_vectors" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d4e8f34, "mhi_sync_power_up" },
	{ 0x3f218ec1, "mhi_power_down" },
	{ 0xbe0a8b7a, "pm_runtime_set_autosuspend_delay" },
	{ 0xe8dd4e3a, "mhi_pm_resume" },
	{ 0x2a1dedf, "__pci_register_driver" },
	{ 0x22fb4469, "pci_assign_resource" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x22335395, "pci_set_power_state" },
	{ 0x54614277, "pci_irq_vector" },
	{ 0x2d48c138, "__dynamic_dev_dbg" },
	{ 0x617c1000, "mhi_register_controller" },
	{ 0x259746c3, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a49b1ed, "mhi_soc_reset" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd52231d0, "pm_runtime_enable" },
	{ 0xc5f9983e, "mhi_pm_suspend" },
	{ 0x54158faf, "_dev_info" },
	{ 0x22342aa8, "pcim_iomap_regions" },
	{ 0x3f927212, "_dev_err" },
	{ 0x5ef34c75, "pci_load_saved_state" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x929f2a94, "pci_read_config_word" },
	{ 0x512c2ecf, "pci_store_saved_state" },
	{ 0x3d04ffa3, "pci_restore_state" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0xf52374dd, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7a1758f9, "dma_set_coherent_mask" },
	{ 0xa0ca7d19, "mhi_unregister_controller" },
	{ 0x43d5be24, "pm_runtime_forbid" },
	{ 0x9f845977, "pci_pme_capable" },
	{ 0xcb688861, "pm_runtime_allow" },
	{ 0x5f3c2789, "__pm_runtime_resume" },
	{ 0x45ae0983, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7e3704d, "pci_try_reset_function" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xdacc5b53, "pci_disable_device" },
	{ 0x61f45f92, "dma_set_mask" },
	{ 0x4a8f3b81, "pcim_iomap_table" },
	{ 0x6e66e8c0, "__pm_runtime_use_autosuspend" },
	{ 0x63b67282, "pcim_enable_device" },
	{ 0x4d5668e, "__pm_runtime_disable" },
	{ 0xcc108dc0, "mhi_prepare_for_power_up" },
	{ 0xb81db31e, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "mhi");

MODULE_ALIAS("pci:v000017CBd00000304sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv000017CBsd0000010Cbc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv000018D7sd00000200bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv00001C5Dsd00002000bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv00001C5Dsd00002010bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000B3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000B4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000BBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000003F0d00000A6Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0A40482499B5E1038A34A0C");

MODULE_INFO(suserelease, "SLE15-SP6");
