#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc091a396, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x742e8f74, "drm_open" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xebce0738, "drm_poll" },
	{ 0x18babbd0, "drm_mode_crtc_set_gamma_size" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xd4eadc8a, "drm_kms_helper_poll_init" },
	{ 0xe5f64a7d, "drm_plane_enable_fb_damage_clips" },
	{ 0x764736ce, "drm_gem_shmem_dumb_create" },
	{ 0x7102c37, "i2c_bit_add_bus" },
	{ 0x4d45f77d, "drm_atomic_helper_disable_plane" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x3586661f, "drm_atomic_helper_shutdown" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x2a1dedf, "__pci_register_driver" },
	{ 0xa67bd09b, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0x7905f91d, "drm_crtc_cleanup" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x5143caf2, "drm_encoder_cleanup" },
	{ 0x4592ba58, "devm_arch_io_reserve_memtype_wc" },
	{ 0x618207da, "drmm_mode_config_init" },
	{ 0x259746c3, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xde8d79a8, "dev_driver_string" },
	{ 0xe21e5905, "drm_connector_attach_encoder" },
	{ 0x9799f49a, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd71e502f, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xe361c79, "drm_atomic_helper_damage_iter_init" },
	{ 0x848d372e, "iowrite8" },
	{ 0x9e7e957d, "__drmm_add_action_or_reset" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x207b3d38, "drm_atomic_helper_commit" },
	{ 0x5da6ef33, "drm_atomic_helper_check" },
	{ 0x541655bf, "__drmm_mutex_release" },
	{ 0x34723064, "drm_atomic_helper_connector_destroy_state" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x584cc404, "drm_gem_mmap" },
	{ 0xf95fbe1d, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x10c0c8d1, "drm_ioctl" },
	{ 0xeb887de1, "drm_plane_cleanup" },
	{ 0x6fbaeb07, "i2c_del_adapter" },
	{ 0x75b950b6, "drm_atomic_helper_commit_tail" },
	{ 0x3f927212, "_dev_err" },
	{ 0x35dd2e86, "drm_connector_init_with_ddc" },
	{ 0x99892932, "noop_llseek" },
	{ 0xb66c285d, "drm_read" },
	{ 0x851e36fa, "drm_gem_fb_create_with_dirty" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4ac43de5, "drm_gem_begin_shadow_fb_access" },
	{ 0x97c8cb31, "pci_map_rom" },
	{ 0x3999accf, "drm_atomic_helper_check_plane_state" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb0c91bc, "drm_crtc_init_with_planes" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x438946fc, "__drm_dev_dbg" },
	{ 0x6f56ffff, "drm_connector_helper_get_modes_from_ddc" },
	{ 0x900b3bdd, "drm_dev_unregister" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0xb19b445, "ioread8" },
	{ 0x995e66c6, "__devm_drm_dev_alloc" },
	{ 0x8fcb728f, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa6bbfc1f, "drm_atomic_helper_set_config" },
	{ 0xed937d47, "drm_fbdev_generic_setup" },
	{ 0x68a68fc6, "devm_arch_phys_wc_add" },
	{ 0xa7716dbe, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x811f6b5d, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xb92160cf, "drm_connector_cleanup" },
	{ 0x29e8f5cd, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x22eb95b6, "drm_universal_plane_init" },
	{ 0x3e250623, "drm_gem_destroy_shadow_plane_state" },
	{ 0xe76887c9, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x4d7c3719, "drm_crtc_enable_color_mgmt" },
	{ 0x1b87d43c, "drm_fb_memcpy" },
	{ 0x7e94bcfd, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5fc0d06, "drm_helper_probe_single_connector_modes" },
	{ 0xa8983ef2, "__drm_atomic_helper_crtc_reset" },
	{ 0x2e3198b5, "drm_gem_reset_shadow_plane" },
	{ 0x7db8290d, "pcim_iomap" },
	{ 0x8c4ce8b9, "drm_gem_end_shadow_fb_access" },
	{ 0xf63e733f, "drm_atomic_helper_page_flip" },
	{ 0xcb004b0c, "drm_atomic_helper_connector_reset" },
	{ 0x2cbf0d7e, "drm_mode_config_reset" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0xa38ed038, "pci_unmap_rom" },
	{ 0x77358855, "iomem_resource" },
	{ 0xb89257aa, "param_ops_int" },
	{ 0x63b67282, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xfb909035, "drm_atomic_helper_update_plane" },
	{ 0x31cbfcc6, "drm_compat_ioctl" },
	{ 0x2dccafcf, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56ea5f17, "pci_write_config_dword" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0x3d7877e1, "drm_release" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "i2c-algo-bit");

MODULE_ALIAS("pci:v0000102Bd00000520sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000521sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000522sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000524sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000530sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000533sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000534sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000536sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000538sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd0000053Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "01BB08E8BF968BA32037B01");

MODULE_INFO(suserelease, "SLE15-SP6");
