#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtrs_clt_get_permit, 0x9acbb91a, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0x189bd15f, "");
SYMBOL_CRC(rtrs_clt_open, 0x204439b5, "");
SYMBOL_CRC(rtrs_clt_close, 0x3c789a1b, "");
SYMBOL_CRC(rtrs_clt_request, 0x23215cc8, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0x77666967, "");
SYMBOL_CRC(rtrs_clt_query, 0xee2229e1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7479dafd, "rdma_reject_msg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1fbcfe4a, "dev_set_name" },
	{ 0x887302f3, "rtrs_addr_to_sockaddr" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1f02771, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf9de4271, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xecb2457d, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x8f0eb131, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x68f2aa5e, "rdma_resolve_addr" },
	{ 0xa212aacf, "dma_sync_single_for_device" },
	{ 0xcd928e91, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x2ee6d7a4, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa885872, "rtrs_post_recv_empty" },
	{ 0xb68f284f, "pcpu_hot" },
	{ 0x93ee9bf4, "ib_dereg_mr_user" },
	{ 0x1cb937ed, "ib_process_cq_direct" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x6a92f4fd, "rtrs_iu_post_rdma_write_imm" },
	{ 0xdd3069ea, "rtrs_iu_post_send" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8f2374, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3e5df678, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0164f39, "rtrs_rdma_dev_pd_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x11a71556, "rtrs_ib_dev_find_or_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xfd6c0c4d, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6ae19705, "put_device" },
	{ 0x8894ac04, "rtrs_rdma_dev_pd_deinit" },
	{ 0xa916b694, "strnlen" },
	{ 0x161ec022, "rdma_resolve_route" },
	{ 0xb1a9dc28, "rtrs_iu_free" },
	{ 0xeae5f135, "ib_map_mr_sg" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x5d0d67bb, "perf_trace_run_bpf_submit" },
	{ 0xc2315ad, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a957ee3, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xebdf84ee, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x34403f15, "kobj_sysfs_ops" },
	{ 0x43b3158a, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x4fb1ce23, "trace_event_reg" },
	{ 0x49cb8373, "iov_iter_kvec" },
	{ 0x8de493c4, "rtrs_iu_post_recv" },
	{ 0xa42b5fc3, "kobject_init_and_add" },
	{ 0x65c448a5, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x381812bc, "sysfs_create_group" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x5636acf7, "sysfs_remove_file_self" },
	{ 0x10e4b6f9, "bpf_trace_run1" },
	{ 0x8f93284d, "device_del" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd204d0b1, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x99529d00, "ib_alloc_mr" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x65756f07, "rdma_connect_locked" },
	{ 0xa189efcc, "rdma_set_reuseaddr" },
	{ 0x301f004, "kobject_create_and_add" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xcb147dd7, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3bc3f515, "ib_dma_virt_map_sg" },
	{ 0x3340db29, "kobject_del" },
	{ 0x4e746fd9, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1a794cfc, "rdma_destroy_id" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7706f640, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb29fbfb, "kobject_uevent" },
	{ 0xa64784e5, "_copy_from_iter" },
	{ 0x7261e765, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4a352e01, "dma_unmap_sg_attrs" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0x4e27870f, "rtrs_cq_qp_create" },
	{ 0x84dc1482, "rtrs_ib_dev_put" },
	{ 0x754d539c, "strlen" },
	{ 0xf21db535, "rtrs_init_hb" },
	{ 0xca3211a2, "rdma_consumer_reject_data" },
	{ 0xd35eadc2, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0xcbd755f2, "rtrs_send_hb_ack" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb4b8a851, "rtrs_iu_alloc" },
	{ 0x2bf220a4, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x96cae5d0, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf4666325, "kobject_put" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "62026CC17925DB963E80A4B");

MODULE_INFO(suserelease, "SLE15-SP6");
