#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x736a4398, "mptscsih_resume" },
	{ 0xf9dc2c3d, "scsi_remove_host" },
	{ 0x237edf9d, "mptscsih_remove" },
	{ 0x691e353, "mptscsih_is_phys_disk" },
	{ 0xff7d630, "mptscsih_qcmd" },
	{ 0xcf8b3e1b, "scsi_done" },
	{ 0xa684f7a4, "mptscsih_event_process" },
	{ 0xf38f431b, "mpt_findImVolumes" },
	{ 0x160eef5d, "__scsi_iterate_devices" },
	{ 0x3d31b8d7, "scsi_scan_target" },
	{ 0x259746c3, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x3d6db359, "mptscsih_slave_configure" },
	{ 0x3d1901e, "mptscsih_ioc_reset" },
	{ 0xd86e4b2e, "scsi_device_lookup_by_target" },
	{ 0xc8a4f3b7, "sdev_prefix_printk" },
	{ 0x8f38cf92, "mptscsih_slave_destroy" },
	{ 0x7ec682e2, "mptscsih_raid_id_to_num" },
	{ 0x3700633c, "mpt_attach" },
	{ 0x7a097a4a, "scsi_host_alloc" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x8fd7674e, "scsi_add_host_with_dma" },
	{ 0xbd572f53, "mptscsih_IssueTaskMgmt" },
	{ 0x7a3489af, "scsi_scan_host" },
	{ 0x138bf9e6, "mptscsih_suspend" },
	{ 0x82ad4292, "mptscsih_shutdown" },
	{ 0xd61ca895, "mptscsih_info" },
	{ 0x3b24f656, "mptscsih_abort" },
	{ 0x781554fc, "mptscsih_dev_reset" },
	{ 0x7f8b85fd, "mptscsih_bus_reset" },
	{ 0xae9f5d7f, "mptscsih_host_reset" },
	{ 0x6db739e4, "mptscsih_change_queue_depth" },
	{ 0xad71ec50, "mptscsih_bios_param" },
	{ 0xe06f4350, "mptscsih_show_info" },
	{ 0xfb339e7b, "mptscsih_host_attr_groups" },
	{ 0xb89257aa, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xd6549ff2, "spi_attach_transport" },
	{ 0x799880ca, "mptscsih_io_done" },
	{ 0x89089d1a, "mpt_register" },
	{ 0x9ac5e62b, "mptscsih_taskmgmt_complete" },
	{ 0xd86cf3fd, "mptscsih_scandv_complete" },
	{ 0xe8ba0dbd, "mpt_event_register" },
	{ 0xf9abc0cd, "mpt_reset_register" },
	{ 0x2a1dedf, "__pci_register_driver" },
	{ 0xd0903686, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d90796e, "scsi_is_host_device" },
	{ 0xe9e8f59e, "dma_alloc_attrs" },
	{ 0xb15dc370, "mpt_config" },
	{ 0xeeda7a8e, "dma_free_attrs" },
	{ 0xc627f7ae, "_dev_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4bf67716, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x20ee8d82, "mpt_put_msg_frame" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa2cc23b, "mpt_HardResetHandler" },
	{ 0xa131d276, "mpt_free_msg_frame" },
	{ 0xabf89457, "spi_dv_device" },
	{ 0x1e9000af, "spi_display_xfer_agreement" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "mptscsih,scsi_mod,mptbase,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0FB4C011C61458934068E67");

MODULE_INFO(suserelease, "SLE15-SP6");
