#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(prestera_device_register, 0x53b9c827, "");
SYMBOL_CRC(prestera_device_unregister, 0x86e4cfe8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb8a538, "alloc_etherdev_mqs" },
	{ 0x36768b1e, "netdev_lower_get_next" },
	{ 0xcec84510, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x750eff74, "br_vlan_enabled" },
	{ 0x7a4d87b9, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf7ec6942, "devlink_unregister" },
	{ 0xbfb4e55f, "dma_pool_create" },
	{ 0xa3d1288b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6d1cca82, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x8a72fdf7, "register_fib_notifier" },
	{  0x37b13, "l3mdev_fib_table_rcu" },
	{ 0xd7651c3, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3032ef4e, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xdcc6c850, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x309b9d1b, "dma_unmap_page_attrs" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xa212aacf, "dma_sync_single_for_device" },
	{ 0x49d6855a, "flow_rule_match_eth_addrs" },
	{ 0xbf7ae249, "devlink_port_attrs_set" },
	{ 0x824b095c, "flow_block_cb_priv" },
	{ 0xd2e6b7c2, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd94c3f29, "devlink_alloc_ns" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x47501435, "devlink_register" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0xb68f284f, "pcpu_hot" },
	{ 0xbc7d1c25, "devlink_free" },
	{ 0xf186076c, "rhashtable_init" },
	{ 0x173f7804, "netdev_warn" },
	{ 0x91601c3b, "flow_rule_match_ipv4_addrs" },
	{ 0xb4b48b37, "__netif_napi_del" },
	{ 0xb59da1fa, "rhashtable_walk_enter" },
	{ 0x6dafccce, "fib_table_lookup" },
	{ 0x346639b8, "skb_pull_rcsum" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe5316a2, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45de97d8, "pskb_expand_head" },
	{ 0x73cdee1, "switchdev_handle_port_attr_set" },
	{ 0x848905d1, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xde8d79a8, "dev_driver_string" },
	{ 0x93483ef1, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x167ab8cf, "eth_type_trans" },
	{ 0xa95df62a, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf5bcaede, "dma_map_page_attrs" },
	{ 0x6f8a5c6a, "napi_complete_done" },
	{ 0xa0dfd114, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x36b0f5e1, "priv_to_devlink" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6756bb27, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x3afa2248, "__alloc_skb" },
	{ 0x1b9b2a41, "switchdev_bridge_port_offload" },
	{ 0x39057711, "flow_block_cb_incref" },
	{ 0x75d4352a, "flow_rule_match_ports_range" },
	{ 0x54158faf, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x983d70f6, "free_fib_info" },
	{ 0x1f4282dd, "flow_rule_match_basic" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x8bbdb437, "vlan_dev_real_dev" },
	{ 0x4b4a3927, "__dev_get_by_index" },
	{ 0x1e99fd2, "devlink_port_unregister" },
	{ 0x3f927212, "_dev_err" },
	{ 0xc2315ad, "init_net" },
	{ 0x5ed34ccf, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xd499cfdc, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xcf8edb78, "flow_block_cb_decref" },
	{ 0x2f964874, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xe8c6a5e8, "napi_enable" },
	{ 0xc77f0a90, "register_netdev" },
	{ 0x5987c9d0, "unregister_fib_notifier" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf7d584f0, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x90ed952d, "rhashtable_walk_start_check" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x22a31297, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa5e2b6dc, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xceab9502, "idr_alloc_cyclic" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5e423590, "rhashtable_free_and_destroy" },
	{ 0xc6773aad, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0xf39b1369, "flow_rule_match_ports" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2ad9a50f, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x49d8f67f, "devlink_trap_report" },
	{ 0x5342749f, "__neigh_event_send" },
	{ 0x47bd8bf2, "flow_block_cb_alloc" },
	{ 0x89697e35, "switchdev_handle_port_obj_add" },
	{ 0xb622805c, "fib_alias_hw_flags_set" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x26ea1192, "__neigh_create" },
	{ 0x59412424, "netdev_walk_all_upper_dev_rcu" },
	{ 0x14b0471c, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x34257f55, "neigh_destroy" },
	{ 0xf3cc343f, "br_multicast_enabled" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x117f66ac, "flow_rule_match_vlan" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x50db38f1, "netdev_master_upper_dev_get_rcu" },
	{ 0x7834dd82, "devlink_traps_register" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x34b49909, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x48037b3, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x744bf910, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbf6d091d, "devlink_priv" },
	{ 0xa22e4117, "devlink_port_register_with_ops" },
	{ 0x9d860137, "netif_carrier_on" },
	{ 0x5c1d3417, "netdev_has_any_upper_dev" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xbe182edc, "devlink_trap_groups_register" },
	{ 0x16889654, "arp_tbl" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xbfc77d5d, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x563264ec, "netdev_walk_all_lower_dev" },
	{ 0x336466c, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0x7bf2f839, "napi_schedule_prep" },
	{ 0x89a3b36b, "__fib_lookup" },
	{ 0xe192964, "napi_disable" },
	{ 0x6b63d00e, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xa3d1b942, "devlink_trap_groups_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xae3b01c9, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x39cd779c, "rhashtable_walk_exit" },
	{ 0x1f45df66, "init_dummy_netdev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0x4f4fce6b, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "bridge,phylink");


MODULE_INFO(srcversion, "8ABF5DC680D6AC3C3E75CC1");

MODULE_INFO(suserelease, "SLE15-SP6");
