#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f355cee, "genphy_restart_aneg" },
	{ 0x3b62613f, "phy_error" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x99ba5f03, "devm_kmalloc" },
	{ 0xe73e8db6, "__mdiobus_read" },
	{ 0xa370850b, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d48c138, "__dynamic_dev_dbg" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x890feb48, "phy_read_paged" },
	{ 0xd46da23f, "phy_restore_page" },
	{ 0x846a7d36, "genphy_soft_reset" },
	{ 0x40bcb77d, "phy_drivers_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xdc77b56b, "__mdiobus_write" },
	{ 0xe1c9b9fe, "genphy_resume" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x2a0892a6, "genphy_aneg_done" },
	{ 0x490a33ad, "__phy_modify" },
	{ 0x3f927212, "_dev_err" },
	{ 0x2d6907f6, "phy_modify_paged" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xabe26876, "mdiobus_read" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x209af39, "devm_phy_package_join" },
	{ 0x7405664b, "phy_modify" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23526980, "macsec_pn_wrapped" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa090d1cb, "__genphy_config_aneg" },
	{ 0xcb24d50c, "mdiobus_write" },
	{ 0x4355cb7a, "phy_select_page" },
	{ 0x70f9db31, "phy_drivers_register" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8674e960, "phy_trigger_machine" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0x869e40a7, "genphy_read_status" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x4ce769c8, "genphy_suspend" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "libphy,macsec");

MODULE_ALIAS("mdio:0000000000000111000001010011????");
MODULE_ALIAS("mdio:0000000000000111000001100011????");
MODULE_ALIAS("mdio:0000000000000111000001001100????");
MODULE_ALIAS("mdio:0000000000000111000001100111????");
MODULE_ALIAS("mdio:0000000000000111000001010110????");
MODULE_ALIAS("mdio:0000000000000111000001010111????");
MODULE_ALIAS("mdio:0000000000000111000001110110????");
MODULE_ALIAS("mdio:0000000000000111000001110111????");
MODULE_ALIAS("mdio:0000000000000111000001001110????");
MODULE_ALIAS("mdio:0000000000000111000001111110????");
MODULE_ALIAS("mdio:0000000000000111000001001101????");
MODULE_ALIAS("mdio:0000000000000111000001001010????");
MODULE_ALIAS("mdio:0000000000000111000001111101????");
MODULE_ALIAS("mdio:0000000000000111000001111011????");
MODULE_ALIAS("mdio:0000000000000111000001111100????");

MODULE_INFO(srcversion, "BCEC31C8E3564355BB63539");

MODULE_INFO(suserelease, "SLE15-SP6");
