#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvmf_get_address, 0x088c78fa, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x6e90af9f, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xea172deb, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x9f4e313b, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0xfe5bc254, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x25a71770, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0xec57266c, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x1bbc60cb, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x4d3deb39, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xc2fc5003, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x4ac956d0, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x3f99f330, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xaa355b7a, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x872ac0ef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfc5a372, "try_module_get" },
	{ 0x97bc2d9f, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf64ad36e, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6ae19705, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x54158faf, "_dev_info" },
	{ 0x4ff9bb03, "module_put" },
	{ 0xb11b88dd, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x3f927212, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x903dc879, "device_create" },
	{ 0x857b7328, "class_create" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x20c8ebdf, "__nvme_submit_sync_cmd" },
	{ 0x5697a5d1, "nvme_try_sched_reset" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0x5d6c5f39, "misc_register" },
	{ 0x5af2acf1, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd1bf3af8, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0xe96a2cdd, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6fd0289c, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x86fdda72, "seq_puts" },
	{ 0x1493fdc2, "single_release" },
	{ 0x4c6b76c9, "nvme_wait_reset" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x61a1f925, "single_open" },
	{ 0xbb53856b, "up_read" },
	{ 0xed781eeb, "nvme_tls_key_lookup" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe9801642, "nvme_auth_negotiate" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "71B64E791BBD6D66560048C");

MODULE_INFO(suserelease, "SLE15-SP6");
