#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fc_lport_notifier_head, 0x81b8eb84, "");
SYMBOL_CRC(fc_fill_hdr, 0x2a876eb1, "");
SYMBOL_CRC(fc_fill_reply_hdr, 0x79fb9b65, "");
SYMBOL_CRC(fc_lport_iterate, 0x015bc2c0, "");
SYMBOL_CRC(fc_fc4_register_provider, 0xf76d8e05, "");
SYMBOL_CRC(fc_fc4_deregister_provider, 0xc03c4e17, "");
SYMBOL_CRC(fc_disc_config, 0xa442e1fb, "");
SYMBOL_CRC(fc_disc_init, 0xb0cef3a3, "");
SYMBOL_CRC(fc_cpu_mask, 0xa1bcd198, "");
SYMBOL_CRC(fc_seq_send, 0x5af73e81, "");
SYMBOL_CRC(fc_seq_start_next, 0x7f3407a7, "");
SYMBOL_CRC(fc_seq_set_resp, 0x8063427c, "");
SYMBOL_CRC(fc_exch_done, 0x811811e0, "");
SYMBOL_CRC(fc_seq_els_rsp_send, 0x5b5d4b09, "_gpl");
SYMBOL_CRC(fc_seq_assign, 0xaa244477, "");
SYMBOL_CRC(fc_seq_release, 0xfa4667d1, "");
SYMBOL_CRC(fc_exch_mgr_reset, 0x48606b92, "");
SYMBOL_CRC(fc_exch_seq_send, 0x2a5957c3, "");
SYMBOL_CRC(fc_exch_update_stats, 0x28381c12, "");
SYMBOL_CRC(fc_exch_mgr_add, 0x9c520062, "");
SYMBOL_CRC(fc_exch_mgr_del, 0x22b90986, "");
SYMBOL_CRC(fc_exch_mgr_list_clone, 0xe5ba5fe6, "");
SYMBOL_CRC(fc_exch_mgr_alloc, 0x0557d83b, "");
SYMBOL_CRC(fc_exch_mgr_free, 0xd7f1f7c0, "");
SYMBOL_CRC(fc_exch_recv, 0xeacf3d51, "");
SYMBOL_CRC(fc_exch_init, 0xa9df8c4c, "");
SYMBOL_CRC(fc_elsct_send, 0xe6b478c1, "");
SYMBOL_CRC(fc_elsct_init, 0xd44dc6b9, "");
SYMBOL_CRC(fc_frame_crc_check, 0x7cf1bf5a, "");
SYMBOL_CRC(_fc_frame_alloc, 0x3b4e1949, "");
SYMBOL_CRC(fc_frame_alloc_fill, 0xc1e80ad9, "");
SYMBOL_CRC(fc_get_host_port_state, 0xf5e30307, "");
SYMBOL_CRC(fc_get_host_speed, 0x663ac68a, "");
SYMBOL_CRC(fc_get_host_stats, 0x2d909e9c, "");
SYMBOL_CRC(fc_fabric_login, 0x6c09bfaa, "");
SYMBOL_CRC(fc_linkup, 0x3cc8c3b3, "");
SYMBOL_CRC(fc_linkdown, 0x1a600acf, "");
SYMBOL_CRC(fc_fabric_logoff, 0x5877fc49, "");
SYMBOL_CRC(fc_lport_destroy, 0xc4f60174, "");
SYMBOL_CRC(fc_set_mfs, 0x6d8db476, "");
SYMBOL_CRC(fc_lport_set_local_id, 0x06794bf8, "");
SYMBOL_CRC(fc_lport_recv, 0x32522780, "");
SYMBOL_CRC(fc_lport_reset, 0x606d00f1, "");
SYMBOL_CRC(fc_lport_logo_resp, 0x279d7b0f, "");
SYMBOL_CRC(fc_lport_flogi_resp, 0x0c588c9b, "");
SYMBOL_CRC(fc_lport_config, 0x637ccd69, "");
SYMBOL_CRC(fc_lport_init, 0x1ee5ff47, "");
SYMBOL_CRC(fc_lport_bsg_request, 0xc05ed00c, "");
SYMBOL_CRC(fc_rport_lookup, 0x442871e7, "");
SYMBOL_CRC(fc_rport_create, 0x42790a3c, "");
SYMBOL_CRC(fc_rport_destroy, 0x9d50ed7e, "");
SYMBOL_CRC(fc_set_rport_loss_tmo, 0x16fa437a, "");
SYMBOL_CRC(fc_rport_login, 0xdb535a55, "");
SYMBOL_CRC(fc_rport_logoff, 0xf05dbb80, "");
SYMBOL_CRC(fc_rport_recv_req, 0x3ab3122f, "");
SYMBOL_CRC(fc_rport_flush_queue, 0xb0ddd5a1, "");
SYMBOL_CRC(fc_rport_terminate_io, 0x26f5c8e7, "");
SYMBOL_CRC(fc_queuecommand, 0x4872d274, "");
SYMBOL_CRC(fc_eh_abort, 0xe4a9db8d, "");
SYMBOL_CRC(fc_eh_device_reset, 0x40ed51da, "");
SYMBOL_CRC(fc_eh_host_reset, 0x0f00f206, "");
SYMBOL_CRC(fc_slave_alloc, 0x701da432, "");
SYMBOL_CRC(fc_fcp_destroy, 0x9a2cee1f, "");
SYMBOL_CRC(fc_fcp_init, 0xb4b0770d, "");
SYMBOL_CRC(libfc_vport_create, 0x8bbe04bb, "");
SYMBOL_CRC(fc_vport_id_lookup, 0xf7244dcb, "");
SYMBOL_CRC(fc_vport_setlink, 0xb7afa31b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfc5a372, "try_module_get" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xa3d1288b, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb092f899, "bsg_job_done" },
	{ 0x8db78bfd, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb68f284f, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xd1e93ec9, "kmem_cache_create" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfebde058, "mempool_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x82c9b89d, "fc_block_scsi_eh" },
	{ 0x92997ed8, "_printk" },
	{ 0xf7dc92ae, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0x3df132f1, "blocking_notifier_call_chain" },
	{ 0xf0a1fb89, "fc_remote_port_delete" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x3afa2248, "__alloc_skb" },
	{ 0x4ccdacd6, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcddc4ac8, "fc_host_post_event" },
	{ 0x4ff9bb03, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfcffe00, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd499cfdc, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5d90796e, "scsi_is_host_device" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x7118f98, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf4198220, "mempool_destroy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xa3bc1bc4, "scsi_is_fc_rport" },
	{ 0xcf8b3e1b, "scsi_done" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0xb89257aa, "param_ops_int" },
	{ 0xc627f7ae, "_dev_printk" },
	{ 0x7a097a4a, "scsi_host_alloc" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb3a2adb9, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0x7e6bf565, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,scsi_mod");


MODULE_INFO(srcversion, "2B2EA05FAE4948E029B8331");

MODULE_INFO(suserelease, "SLE15-SP6");
