#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sdw_cdns_config_update, 0x3b07ee5c, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x165d5a2b, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0xa4a6ed69, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x5c319106, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0xf04feadd, "");
SYMBOL_CRC(cdns_read_ping_status, 0x0b214184, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0x6b010458, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0xa3f60ab6, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0x776c4ecf, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0xb593b8d2, "");
SYMBOL_CRC(sdw_cdns_init, 0x697ed952, "");
SYMBOL_CRC(cdns_bus_conf, 0x54ce35eb, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x88f5c37d, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0xc1e82592, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0xf77349ad, "");
SYMBOL_CRC(sdw_cdns_probe, 0x66ba709b, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0xe1151f4c, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0xa3a6a354, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x79f1ff69, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa5b5c40, "sdw_bus_prep_clk_stop" },
	{ 0x920eaf3e, "simple_attr_open" },
	{ 0x55a93288, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x99ba5f03, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad7c38a8, "sdw_bus_clk_stop" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xd849783e, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3b9acf35, "sdw_handle_slave_status" },
	{ 0x2d48c138, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x54158faf, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xa5e7945e, "debugfs_attr_read" },
	{ 0x3f927212, "_dev_err" },
	{ 0xe1359f13, "simple_attr_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd1bf3af8, "seq_read" },
	{ 0x9799252c, "debugfs_create_file" },
	{ 0x5f3c2789, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6fd0289c, "seq_printf" },
	{ 0x1493fdc2, "single_release" },
	{ 0x739c1491, "sdw_bread_no_pm_unlocked" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0x45f0dec1, "__pm_runtime_suspend" },
	{ 0xb89257aa, "param_ops_int" },
	{ 0x61a1f925, "single_open" },
	{ 0xe4c93320, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "7BA28D422E1C8D3BB32A149");

MODULE_INFO(suserelease, "SLE15-SP6");
