#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

SYMBOL_CRC(atomisp_get_platform_data, 0xec42134c, "_gpl");
SYMBOL_CRC(atomisp_register_i2c_module, 0x0b2e3a3a, "_gpl");
SYMBOL_CRC(atomisp_gmin_remove_subdev, 0x2b4df96a, "_gpl");
SYMBOL_CRC(atomisp_register_sensor_no_gmin, 0x0a18d3a2, "_gpl");
SYMBOL_CRC(atomisp_unregister_subdev, 0xcdb1785d, "_gpl");
SYMBOL_CRC(gmin_camera_platform_data, 0x8ab1decb, "_gpl");
SYMBOL_CRC(atomisp_gmin_register_vcm_control, 0x3b85ad4d, "_gpl");
SYMBOL_CRC(gmin_get_var_int, 0x83dec2d2, "_gpl");
SYMBOL_CRC(v4l2_get_acpi_sensor_info, 0x282f8fb8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0xa916b694, "strnlen" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9d49cd4f, "gpiod_set_value" },
	{ 0xb728550d, "regulator_disable" },
	{ 0x84056dc1, "regulator_enable" },
	{ 0x2d393f48, "intel_soc_pmic_exec_mipi_pmic_seq_element" },
	{ 0x7a87413, "acpi_dev_get_first_match_dev" },
	{ 0x36ff2b44, "device_match_acpi_dev" },
	{ 0x12ab1e, "i2c_bus_type" },
	{ 0xdee285cd, "bus_find_device" },
	{ 0x6ae19705, "put_device" },
	{ 0xd53016ba, "i2c_verify_client" },
	{ 0xf63f003a, "acpi_gpio_get_io_resource" },
	{ 0x527eaa45, "_dev_warn" },
	{ 0xf966b5f7, "gpiod_put" },
	{ 0xa1e716b2, "regulator_put" },
	{ 0xf9fa93ef, "gpio_to_desc" },
	{ 0x7531f439, "gpiod_set_raw_value" },
	{ 0xc3a2c340, "regulator_set_voltage" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x92997ed8, "_printk" },
	{ 0x47229b5c, "gpio_request" },
	{ 0x7c0403a7, "gpiod_direction_output_raw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xfddeb056, "efi" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xdd64e639, "strscpy" },
	{ 0x754d539c, "strlen" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xf15771a6, "__dev_fwnode" },
	{ 0xf7f12e79, "gpiod_get_index" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x9a86a5df, "devm_clk_get" },
	{ 0xdf8662f3, "regulator_get" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0x2496f713, "dev_err_probe" },
	{ 0x99ba5f03, "devm_kmalloc" },
	{ 0x96bb97c9, "acpi_dev_get_resources" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x8347bdcd, "devm_acpi_dev_add_driver_gpios" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x54158faf, "_dev_info" },
	{ 0xd3ec9094, "is_acpi_device_node" },
	{ 0xb04b8d01, "acpi_device_set_power" },
	{ 0x2d48c138, "__dynamic_dev_dbg" },
	{ 0x3f927212, "_dev_err" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E9F85BB06039C4E80C428BF");

MODULE_INFO(suserelease, "SLE15-SP6");
