#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

SYMBOL_CRC(dot11d_init, 0x4af4b1c5, "");
SYMBOL_CRC(dot11d_channel_map, 0x9faa5e6d, "");
SYMBOL_CRC(rt_global_debug_component, 0x22166084, "");
SYMBOL_CRC(alloc_rtllib, 0xf6ea65f0, "");
SYMBOL_CRC(free_rtllib, 0x594a4750, "");
SYMBOL_CRC(rtllib_rx, 0xa71fa905, "");
SYMBOL_CRC(rtllib_legal_channel, 0xfc64e2cc, "");
SYMBOL_CRC(rtllib_xmit, 0x379bc4e5, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0x8af057ea, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0x8e8efcca, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0x9b549e72, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0xd7dcf6c9, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0xf98cc481, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0xe0fc9fab, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0x03857018, "");
SYMBOL_CRC(rtllib_EnableIntelPromiscuousMode, 0x1fc2a7b4, "");
SYMBOL_CRC(rtllib_DisableIntelPromiscuousMode, 0x8b6586fd, "");
SYMBOL_CRC(rtllib_stop_send_beacons, 0xc13f0767, "");
SYMBOL_CRC(rtllib_start_send_beacons, 0x8ee5c124, "");
SYMBOL_CRC(rtllib_stop_scan, 0xd5a5d3a6, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0xece478b7, "");
SYMBOL_CRC(rtllib_act_scanning, 0xf2c77065, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0x06a96ad6, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0x8ea70961, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0xecad1588, "");
SYMBOL_CRC(rtllib_reset_queue, 0x3f590cd6, "");
SYMBOL_CRC(rtllib_get_beacon, 0xf74d9e40, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0xa3f2c7a8, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0xc143b4d0, "");
SYMBOL_CRC(rtllib_MgntDisconnect, 0x324b819b, "");
SYMBOL_CRC(notify_wx_assoc_event, 0xa3936afc, "");
SYMBOL_CRC(rtllib_wlan_frequencies, 0xdf78f620, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0xc27d5e9a, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0x8d8c039a, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0xf3b7fd0c, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0xdd18afaf, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0xfd83ff78, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0xca001417, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0x85f14917, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0x4b1d1528, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0x65b2478b, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0x3182270c, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0xc5010aea, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0xfdcc0e25, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0x7e737a0c, "");
SYMBOL_CRC(rtllib_wx_set_rawtx, 0x3fb7aaec, "");
SYMBOL_CRC(rtllib_wx_get_name, 0x3308deb3, "");
SYMBOL_CRC(rtllib_wx_set_power, 0xfb7a1ce2, "");
SYMBOL_CRC(rtllib_wx_get_power, 0xfb35edbf, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0x80b8f620, "");
SYMBOL_CRC(RemovePeerTS, 0xef1ae9a1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb8a538, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0xdfc5a372, "try_module_get" },
	{ 0xa3d1288b, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x241f856e, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0xbe8bd671, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x173f7804, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe5316a2, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x167ab8cf, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xaf177bda, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbead8b5f, "skb_queue_tail" },
	{ 0x10c5d9ba, "lib80211_get_crypto_ops" },
	{ 0x5ed34ccf, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd499cfdc, "kfree_skb_reason" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x2f964874, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x58c4ded9, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0xf7d584f0, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3da342fa, "netif_tx_stop_all_queues" },
	{ 0x33517ab4, "netif_tx_wake_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x31ed3664, "netif_rx" },
	{ 0xa8b912bb, "__netdev_alloc_skb" },
	{ 0x68af2d83, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x79ca35b7, "netdev_alert" },
	{ 0xb728d276, "lib80211_crypt_info_free" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x48037b3, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x682aa328, "lib80211_crypt_delayed_deinit" },
	{ 0x9d860137, "netif_carrier_on" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x6b63d00e, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0xd988dcb3, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "lib80211");


MODULE_INFO(srcversion, "DDC9178F5686FEDDBC7E584");

MODULE_INFO(suserelease, "SLE15-SP6");
