#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xd865d96a, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x672bea43, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xf5a77cdc, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x77969340, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xf4cd1d90, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xa8af4009, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x59d2db2e, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x0de03e2f, "");
SYMBOL_CRC(ip_vs_conn_put, 0xbc837e75, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xce6abd80, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x38f56065, "");
SYMBOL_CRC(register_ip_vs_app, 0xec674038, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x0dfc0314, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x7709ed5a, "");
SYMBOL_CRC(ip_vs_proto_get, 0x1b0ec749, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xca15ae0d, "");
SYMBOL_CRC(register_ip_vs_pe, 0x53954203, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x9581fd1e, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x4548a705, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d7f9fd8, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x9c688c5f, "nf_conntrack_find_get" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xdfc5a372, "try_module_get" },
	{ 0xce303ed1, "__ip_select_ident" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2a4867c8, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x882c9f6d, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x6f4bae3a, "skb_copy_bits" },
	{ 0xf6aa7e95, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1be96481, "proc_dointvec_jiffies" },
	{ 0x687278a5, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0x241f856e, "consume_skb" },
	{ 0x6f43f8c, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x47d65510, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9a2dbb56, "nf_register_sockopt" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x62c7dbed, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbee691d5, "set_user_nice" },
	{ 0x9c698bbe, "genlmsg_put" },
	{ 0x3d78cc13, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x56f8863, "ip6_output" },
	{ 0xc8631bbd, "ip6_route_me_harder" },
	{ 0xb68f284f, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4e3806ca, "__module_get" },
	{ 0xc9604ab5, "ip_route_output_flow" },
	{ 0xd1e93ec9, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xdfbee6a6, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x223b346e, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x77a67d5a, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45de97d8, "pskb_expand_head" },
	{ 0x82374006, "register_pernet_subsys" },
	{ 0xbc19d8ba, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x8191cee4, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x1f95093b, "nf_register_net_hooks" },
	{ 0xee6e899, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x3afa2248, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x550615a1, "kmem_cache_alloc" },
	{ 0x98735f9f, "ipv6_sock_mc_join" },
	{ 0x4ff9bb03, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xe8f5c95f, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x58a235b3, "__skb_get_hash" },
	{ 0xc2315ad, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb8cb6d59, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x638b916, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4a0395b1, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x70ffc556, "nf_conntrack_alter_reply" },
	{ 0x2508d70c, "ip_route_me_harder" },
	{ 0xd499cfdc, "kfree_skb_reason" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x2f964874, "skb_push" },
	{ 0xa0d1a309, "kmem_cache_free" },
	{ 0x2fe98dce, "set_cpus_allowed_ptr" },
	{ 0xd48a0ced, "seq_putc" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x4041809d, "proc_doulongvec_minmax" },
	{ 0xb9bd7ec5, "nf_ct_expect_alloc" },
	{ 0x176f54d5, "skb_ensure_writable" },
	{ 0x49cb8373, "iov_iter_kvec" },
	{ 0x565c5b1f, "ip_mc_join_group" },
	{ 0xa5459890, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x66676e02, "ns_capable" },
	{ 0xdd34aa32, "nf_unregister_net_hooks" },
	{ 0x4edbab73, "inet_select_addr" },
	{ 0x794aeca9, "unregister_pernet_device" },
	{ 0xa64ac6c6, "lock_sock_nested" },
	{ 0x6c483319, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x5f57aff7, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x4350a236, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe3a29599, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x61361916, "skb_checksum" },
	{ 0xf32e2d1b, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2ad9a50f, "__pskb_pull_tail" },
	{ 0x6df8e32c, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7118f98, "skb_trim" },
	{ 0x3b943786, "nf_hook_slow" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9665f2cb, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x84b02b9d, "nf_ct_deliver_cached_events" },
	{ 0x52f9e469, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdef37859, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfa6fda5, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x88557626, "ipv4_mtu" },
	{ 0x7c3a919d, "skb_set_owner_w" },
	{ 0x390a1def, "__skb_checksum" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd27d0047, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x86e47570, "init_user_ns" },
	{ 0x976c3288, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8cd7a8bf, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6fd0289c, "seq_printf" },
	{ 0x1ff9ab33, "sock_recvmsg" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4c9326ac, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1026b98, "ipv4_update_pmtu" },
	{ 0x1f26b78d, "nf_defrag_ipv6_enable" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x2693e30c, "dst_release" },
	{ 0x2cb20bf3, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5af2e074, "proc_dointvec" },
	{ 0x86fdda72, "seq_puts" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xcfbe0b5b, "unregister_net_sysctl_table" },
	{ 0xceabce50, "ip_local_out" },
	{ 0xfe153835, "genl_unregister_family" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x361adc21, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb89257aa, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xfda0b882, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xee0676db, "kernel_sendmsg" },
	{ 0x6dd48818, "nf_ct_netns_put" },
	{ 0x18df3936, "register_pernet_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7e6bf565, "kmem_cache_destroy" },
	{ 0x3bc11ac3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x96cd73b, "proc_dointvec_minmax" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "68F369496A1E8964715FB05");

MODULE_INFO(suserelease, "SLE15-SP6");
