#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(flow_offload_alloc, 0x0b42eb7a, "_gpl");
SYMBOL_CRC(flow_offload_route_init_1224415, 0xad1f32da, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x016689bf, "_gpl");
SYMBOL_CRC(flow_offload_free, 0xd946ac40, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x306577de, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x90caa520, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xc6522ad8, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x2448ce0e, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xe49815e5, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x46b3a1cc, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0xb7301fdd, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x6824ca3f, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0xd159f734, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x648ff20a, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xbfb6eedc, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x96a56861, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0xe41fcf03, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x988b4026, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x43b26e05, "flow_rule_alloc" },
	{ 0xf9c3cc9a, "ip6_dst_check" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x676e8137, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x47d65510, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf314f218, "neigh_xmit" },
	{ 0xd2e6b7c2, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x56f8863, "ip6_output" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0xb68f284f, "pcpu_hot" },
	{ 0xf186076c, "rhashtable_init" },
	{ 0xb59da1fa, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x77a67d5a, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45de97d8, "pskb_expand_head" },
	{ 0x82374006, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x5ed34ccf, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa52c2916, "dev_get_by_index" },
	{ 0x8334b78d, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x90ed952d, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5b16227d, "flow_indr_dev_setup_offload" },
	{ 0xa5e2b6dc, "rhashtable_walk_stop" },
	{ 0xe3a29599, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2ad9a50f, "__pskb_pull_tail" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0xeddd417, "down_read" },
	{ 0xd466a133, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x14b0471c, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0xf652e7a6, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x34257f55, "neigh_destroy" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdfce34f2, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x8cd7a8bf, "remove_proc_entry" },
	{ 0x795495fd, "nf_ct_acct_add" },
	{ 0x6fd0289c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2693e30c, "dst_release" },
	{ 0x86fdda72, "seq_puts" },
	{ 0x336466c, "rhashtable_walk_next" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0xbae5cf06, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xbb53856b, "up_read" },
	{ 0x39cd779c, "rhashtable_walk_exit" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "E49A7D7914F8AA49EEBDFDF");

MODULE_INFO(suserelease, "SLE15-SP6");
