#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x8d2d27cf, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xe9e983bc, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xcfbae2d7, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xfdaa120e, "");
SYMBOL_CRC(gss_mech_put, 0x4c03be71, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x38c7f5cc, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xd00a9a6c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x398fe9a, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xdfc5a372, "try_module_get" },
	{ 0xaecc32c2, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x19fcc661, "xdr_buf_from_iov" },
	{ 0x71a92444, "bpf_trace_run4" },
	{ 0xf0091e18, "xdr_stream_decode_opaque_auth" },
	{ 0x2876eb28, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x396737bf, "xdr_write_pages" },
	{ 0x71239946, "rpc_shutdown_client" },
	{ 0x25f5b7cc, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaf8c7973, "xdr_inline_decode" },
	{ 0x949ed6ed, "cache_create_net" },
	{ 0x481afa77, "rpcauth_destroy_credcache" },
	{ 0xe1f02771, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x55f52a06, "bpf_trace_run6" },
	{ 0x3c929c08, "rpc_net_ns" },
	{ 0x131949f4, "read_bytes_from_xdr_buf" },
	{ 0xecb2457d, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x96bce036, "rpc_wake_up" },
	{ 0x8f0eb131, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd58e6876, "sunrpc_cache_lookup_rcu" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x2ee6d7a4, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xb68f284f, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xf51c549c, "__put_devmap_managed_page_refs" },
	{ 0x7a4ba9f2, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x5e3d6c61, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x97899af6, "xdr_truncate_decode" },
	{ 0x5d24a75a, "rpcauth_unregister" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xd298eb6a, "__xdr_commit_encode" },
	{ 0x4e3806ca, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xb9dde79e, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xde755eb1, "__put_cred" },
	{ 0x82374006, "register_pernet_subsys" },
	{ 0x3e5df678, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xefee46f0, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xee50da6a, "rpc_release_client" },
	{ 0xa079a4a7, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x59ca7637, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6315ac93, "svc_auth_register" },
	{ 0xe3cd7d25, "xdr_stream_encode_opaque_auth" },
	{ 0x39d334ef, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x3b14d3ba, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf089a02, "__free_pages" },
	{ 0x4e8912a5, "rpc_pipe_generic_upcall" },
	{ 0x4ff9bb03, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x538d1fef, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa39fb98f, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5d0d67bb, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe8f3635e, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x2dc44653, "rpcauth_init_credcache" },
	{ 0xb85147a0, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x3f18d511, "xdr_init_decode" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4fb1ce23, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xa21ae688, "rpc_call_null" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x3ef4373e, "rpc_sleep_on_timeout" },
	{ 0xb7a972d5, "rpc_create" },
	{ 0x10e4b6f9, "bpf_trace_run1" },
	{ 0x5e679e5b, "rpc_call_sync" },
	{ 0x9d5e5054, "from_kuid" },
	{ 0xe3a29599, "unregister_pernet_subsys" },
	{ 0xd48d7949, "rpc_queue_upcall" },
	{ 0x826b9efa, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8cccd4e4, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1688113d, "svcauth_unix_set_client" },
	{ 0x85c65c2c, "xdr_buf_subsegment" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3ed233aa, "_atomic_dec_and_lock" },
	{ 0x4ed0a5db, "make_kgid" },
	{ 0xa64554c3, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb2e916d2, "xdr_reserve_space" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x790f86f7, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1a9aa1e3, "bpf_trace_run3" },
	{ 0xc511dd5f, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd3d8db5d, "rpc_mkpipe_dentry" },
	{ 0x9551667a, "rpc_mkpipe_data" },
	{ 0x5db722e1, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4e746fd9, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x4ddd5e6d, "cache_register_net" },
	{ 0x86e47570, "init_user_ns" },
	{ 0x61c87a5e, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe6fe1a03, "xdr_inline_pages" },
	{ 0x4b091c22, "__folio_put" },
	{ 0x8cd7a8bf, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x13a06110, "rpc_init_wait_queue" },
	{ 0x572440fe, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12f20f22, "rpc_unlink" },
	{ 0x101ec26c, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x32ab3f3c, "from_kuid_munged" },
	{ 0x250de443, "kmalloc_trace" },
	{ 0x2e90d174, "rpcauth_init_cred" },
	{ 0xd309a50e, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe361fccf, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xe1f06086, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x475c18ba, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x882329c3, "sunrpc_cache_update" },
	{ 0x30c4b214, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x98ae8781, "rpc_destroy_wait_queue" },
	{ 0x3aa94c20, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb6932c41, "auth_domain_put" },
	{ 0x2a7965df, "rpcauth_unwrap_resp_decode" },
	{ 0x3122dcf, "rpcauth_register" },
	{ 0x955d2b72, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "442D20FD55D123F4807A85A");

MODULE_INFO(suserelease, "SLE15-SP6");
